'===================================
'
'===  RETROPROGRAMMING ITA 8-BIT ===
'
'========== Facebook group ========= 
'   
'==== BREAKOUT BASIC CHALLENGE's ===
'===                              ==
'===     [ A R K A M O I D ]      ==
'====           v1.0             ===
'======                       ======
'===================================
'
'====== 100% IN BASIC 128 FOR ======   
'======= THOMSON MO6 AND TO ========
'===================================
'
' Ver. 1.0 coded by : Paolo Cattaneo  
' Special Thanks to: Giuseppe Stassi
'
'............ DISCLAIMER ............
'
' This code is 100% FREEWARE and made
' only for fun/challenge reasons.
' Feel free to change it as you want,
' possibly improving the speed ^_^    
'
'........... GAME FEATURES ..........
' 
' - Bitmap16 mode splash screen
' - 5 different levels
' - Keyboard/Mouse support
' - Wide range of ball bounce angles 
' - 1 or 2 players
'
'........... SCORE SYSTEM ...........
'
' - 1 point for each broken brick
' - 2x(N-1) bricks you break in a single
'   launch
' - At the end of each level: 100pts.
'   + 50xN lives you kept
'
'....................................


' Clear some memory for strings and for custom graphic chars
001 CLEAR 2000,,50:GOSUB 1050 'first setup

' goes to : SPLASH, MENU, LOAD LEVEL, BEGIN GAME
002 GOSUB 19000:GOSUB 18000:GOSUB 1150:GOTO 9000
'
' We set all the game core here, at lowest code lines,
' to keep speed. 
'
005 'Wait few secs before launch the ball (for each time the level starts or the playr respawn)
007 IF TMRS>25 THEN PLAY"A0O5L2LA":GOTO 10 ELSE TMRS=TMRS+1:INPEN C,L:IF C>=0 THEN IF C<=MXMS THEN PSX=(C*V6)/V5
008 PSX=PSX+PSXDIR:PSXDIR=0:TURTLE2,PSX*V8,PSY*V8:PSXB=PSX+2:PSYB=PSY:TURTLE1,(PSXB*V8),(PSYB*V8):SHOW1:GOTO 007  'Draw racchetta+palla
'
' Main loop. We read the mouse and we update the plr pos only if is in a certain range.
' Since the mouse coords are in 320x200 res. and the char pos are in 40x25 res., we set a little
' "slide effect" to the racket to simulate the paddle by using a floating resulting on X/(X-1) 
' Then we have the keyboard: if the player triggered the event (see below) we have to 
' update the position here to keep the racket and the ball synced together in the loop. 
'
' Then we have to check COLLISIONS:
' The ball direction when colliding on the racket is (ball pos. x - racket center x)
' So, playing with the mouse, this value can result on a float, leading the ball on 
' having some sharp bounce angles and aims.
'
010 INPEN C,L:IF C>=0 THEN IF C<=MXMS THEN PSX=(C*V6)/V5
015 PSX=PSX+PSXDIR:TURTLE2,PSX*V8,PSY*V8:PSXDIR=0 'Draw racchetta   -------
020 IF PSYB+MOVY<=0 THEN MOVY=MOVY*-1:GOTO 110 
'
' Collisione racchetta/palla persa (ball + racket collision)
030 IF MOVY>0 THEN IF PSYB>=PSY THEN IF PSYB>PSY+V2 THEN PLAY"A0O4L15DOPP":SHOW0:GOTO 2500 ELSE IF PSYB=PSY THEN IF PSXB>=PSX-1 THEN IF PSXB<=PSX+3 THEN BNS=0:PLAY"A0O4L2SI":MOVX=(PSXB-(PSX+1))*1.5:DX=SGN(MOVX):MOVY=-1:GOTO 110 'ELSE PRINT PSX,PSXB:END
050 IF PSXB+MOVX<=0 OR PSXB+MOVX>=39 THEN MOVX=MOVX*-1:DX=SGN(MOVX):GOTO 110
'
' Collisione mattoni: as a compromise to keep up the speed, i just check (X,Y) and (X+DIR,Y).
060 IF PSYB<=RWDOWN+1 THEN IF PSXB>=RWLFT THEN IF PSXB<=RWRGT THEN IF BRICKS(PSXB,PSYB) + BRICKS(PSXB+DX,PSYB+MOVY) > 0 THEN GOSUB 510
110 PSXB=PSXB+MOVX:PSYB=PSYB+MOVY
120 TURTLE1,(PSXB*V8),(PSYB*V8):SHOW1 'Draw palla
130 GOTO 10   '--------------------------------------

' Controllo collisioni mattoni - how the ball collided on a brick.
510 IF BRICKS(PSXB,PSYB)>0 THEN PX=PSXB:PY=PSYB:GOSUB 550:PSXB=PSXB+(DX*NBR)::MOVY=MOVY*-1:RETURN 'Collisione sul posto
520 IF BRICKS(PSXB,PSYB+MOVY)>0 THEN PX=PSXB:PY=PSYB+MOVY:GOSUB 550:MOVY=MOVY*-1:RETURN 'Collisione Up/down
530 IF BRICKS(PSXB+DX,PSYB)>0 THEN PX=PSXB+DX:PY=PSYB:GOSUB 550:MOVX=MOVX*-1:RETURN 'Collisione lato
540 IF BRICKS(PSXB+DX,PSYB+MOVY) THEN PX=PSXB+DX:PY=PSYB+MOVY:GOSUB 550:MOVY=MOVY*-1:RETURN 'Collisione diagonale
' Score and check for end level  
550 PLRSCR(PLR)=PLRSCR(PLR)+1+(2*BNS):BNS=BNS+1:NBR=BRICKS(PX,PY):IF NBR=2 THEN NBR=-1
555 INPEN C,L:IF C>=0 THEN IF C<=MXMS THEN PSX=(C*V6)/V5:TURTLE2,PSX*V8,PSY*V8:PSXDIR=0
560 TURTLE1:SHOW0:PUT(PX-(BRICKS(PX,PY)-1),PY),BRZ%(128):BRICKS(PX,PY)=0:BRICKS(PX+NBR,PY)=0:PLAY"A3O5L1SI":HWMBRK=HWMBRK-1:IF HWMBRK<=0 THEN 10100 ELSE RETURN 

' MAIN PROGRAM SETUP 
1050 POKE &H2019,PEEK(&H2019) OR 8  'NO BUZZER
1060 DIM PLTT(15):FOR I=1 TO 15:PLTT(I)=PALETTE (I):NEXT
1100 PSX=10:PSY=22:PSXB=10:PSYB=15:MOVX=1:MOVY=-1:MOVPX=1
1105 PLR=1:DEFGR$(1)=0,24,60,126,126,60,24,0
1110 PLRLVS(1)=5:PLRLVS(2)=5:PLRSCR(1)=0:PLRSCR(2)=0:HOWMLVLS=5
1120 TURTLE1,(PSXB*8),(PSYB*8),"L0U3R64U3L0D2L64D2L64D2L64D2":TURTLE2,PSX*8,PSY*8,"R64U8L64D22R64D2R64D22R64D2"
1130 GOSUB 8000
1140 RETURN
'
' START/CHANGE LEVEL
1150 CLS:SCREEN 6,0,0:LOCATE0,0,0:PRINT"":PALETTE 12,1311 'PLTT(13)
1155 POKE &H2076,0                  'NO KEYBOARD DELAY
1160 GOSUB 5000:RETURN

' Movimento Racchetta (Racket movement)
' So ON KEY .. GOSUB creates and interrupt which works really like
' the events in OOP. The routines below are called only by pressing
' left and right arrow, so they can let the game running or they
' can stole time to the whole cycle. That's why we just set a fixed
' direction here: we don't want to intereferate with the main logic.
' Updating the position here would mean to desync racket and ball.
'
2000 IF PSX>0 THEN PSXDIR=-2 
2001 RETURN
2010 IF PSX<37 THEN PSXDIR=2
2011 RETURN

' Gestione vite e scambio player
' Player lost a life: check for the next turn.
'
2500 MINP=1:PLRLVS(PLR)=PLRLVS(PLR)-1
2510 IF HOWMPLR<2 THEN IF PLRLVS(1)<=0 THEN 3000 ELSE 2540
2520 IF PLRLVS(1)<=0 AND PLRLVS(2)<=0 THEN 3000 'TWO PLAYERS
2530 IF PLRLVS(1)<=0 AND PLRLVS(2)>0 THEN MINP=2
2540 PLR=PLR+1:IF PLR>HOWMPLR THEN PLR=MINP 'ANYWAY...
2600 GOTO 9000

'
3000 'GAME OVER
3010 CLS:SCREEN7,0,0:LOCATE 12,8:ATTRB1,1:PRINT"GAME OVER":ATTRB0,0
3020 COLOR 3:LOCATE 15,17:PRINT"FINAL SCORE":COLOR 6:LOCATE 15,19:PRINT"P1";:PRINT SPC(3);:PRINT PLRSCR(1):LOCATE 15,20:PRINT"P2";:PRINT SPC(3);:PRINT PLRSCR(2)
3030 PLAY"A0L24O4LAFASOMIRERERERE":PLAY"L32PPPPPPPP":GOTO 002

5000 'Fields
' So here's how we read data:
'
' - LEVEL Number (LVN)
' - MINX aka the left edge value of bricks field of the level (RWLFT)
' - MINY aka the upper edge value of bricks field of the level (RWRGT)
' - MAXX aka the right edge value of bricks field of the level (RWUP)
' - MAXY aka the lower edge value of bricks field of the level (RWDOWN)
' - HOWMANYBRICKS there are in this level (HWMBRK)
' - X,Y, of the current brick
' - GFXVAL the value (1...6) of the brick in the bricks strip
' - KINDVAL now stores the value (1) left side or (2) right side of the brick,
' - and is for further implementations(?) 

' read/draw
5520 READ LVN:READ RWLFT:READ RWUP:READ RWRGT:READ RWDOWN:READ HWMBRK 
5530 FOR I=0 TO HWMBRK-1:READ X:READ Y:READ GXVAL:READ KNVAL:BRICKS(X,Y)=KNVAL:PUT(X,Y),BRK%(GXVAL*128):BRICKS(X+1,Y)=KNVAL+1:BRICKV(X,Y)=KNVAL:BRICKV(X+1,Y)=KNVAL:OTV=OTV+1:IF OTV>5 THEN OTV=1
5540 PLAY"A3O"+STR$(OTV)+"L1SI":NEXT

' Draw mouse strip
5650 MXMS=31:CONSOLE 23,24,0:FOR I=1 TO 3:BOX(0,190)-(MXMS,199),-2:PLAY"A1O5L12SI":CLS:PLAY"A0O4L12PPP":NEXT:BOX(0,190)-(MXMS,199),-2:CONSOLE0,24,0
5700 RETURN

'
' GFX ASSET CREATION:
' We simply draw a series of rects and store them in memory
' by using GET command. Please note we are drawing using the
' background color to avoid the 8x1 attribute clash between 
' near pixels, so we can draw a rounded corner brick.
' This is a nice feature of basic 128. 
' Also, this is why sometimes you will see the ball
' leaving a spot on the brick side.
'
8000 'GFX assets setup
8005 DIM BRICKS(45,30):DIM BRICKV(45,30):DIM BRK%(1280):DIM BRZ%(128):CLR=-2:LMB=128
8010 CLS:SCREEN7,0,0:LOCATE 10,10,0
8015 FOR I=1 TO 8
8020 BOXF(0,0)-(16,8),0:BOXF(2,1)-(13,7),CLR:BOXF(1,2)-(14,6),CLR ':LINE(3,3)-(4,2),-8:LINE-(11,2),-8:
8030 GET(0,0)-(1,0),BRK%(LMB):LMB=LMB+128
8050 CLR=CLR-1:IF CLR>6 THEN CLR=CLR+1
8055 NEXT:GET(4,4)-(5,4),BRZ%(128)
8200 LMB=128:RETURN

'Init for each spawn
9000 '
9005 ON KEY=8 GOSUB 2000:ON KEY=9 GOSUB 2010
9010 GOSUB 9500:BNS=0:TMRS=0:PSX=20:PSY=22:V2=2:V5=5:V6=6:V7=7:V8=8:MOVX=1:MOVY=-1:DX=1:MOVPX=1:PSXB=PSX+2:PSYB=PSY:TURTLE1:SHOW0:TURTLE2:SHOW0
9050 LOCATE 11,20,0:PRINT"PLAYER  : READY!":COLOR 6*PLR:LOCATE 18,20,0:PRINT PLR:PLAY"A0L32O5FA#LAPL18SO#FA#MISO#L32FA#":BOXF(88,160)-(319,168),-1:TURTLE2,PSX*8,PSY*8:SHOW 2:GOTO 005 

'HUD
9500 'HUD
9510 LOCATE 0,0,0:COLOR 6:PRINT "P1":BOXF(64,0)-(144,7),-1:LOCATE 8,0,0:FOR I=1 TO PLRLVS(1)-1:PRINT GR$(1);:NEXT:LOCATE 17,0,0:PRINT"LV"
9520 LOCATE 23,0,0:COLOR 12:PRINT "P2":BOXF(248,0)-(319,7),-1:LOCATE 31,0,0:FOR I=1 TO PLRLVS(2)-1:PRINT GR$(1);:NEXT
9530 LOCATE 2,0,0:COLOR 7:PRINT RIGHT$(STR$(PLRSCR(1)+100000),5):LOCATE 19,0,0:PRINT LVN
9535 LOCATE 25,0,0:COLOR 7:PRINT RIGHT$(STR$(PLRSCR(2)+100000),5)
9540 LINE(0,8)-(319,8),7
9545 RETURN

'
'Level completed screen
10100 LBS=100+(50*PLRLVS(PLR)):PLRSCR(PLR)=PLRSCR(PLR)+LBS:BOXF(32,16)-(280,84),4
10110 FOR I=1 TO 32:X=INT(RND*254)+32:Y=INT(RND*64)+16:PSET(X,Y),-8:NEXT:CIRCLEF(80,40),15,-7:CIRCLEF(240,70),10,-6
10120 BOXF(113,70)-(119,75),-2:BOXF(120,70)-(145,75),-9:BOXF(145,70)-(150,75),-2:LINE(122,71)-(136,71),-8:CIRCLEF(150,55),2,-8
10130 COLOR3,4:LOCATE16,4:PRINT"WELL":LOCATE19,5:PRINT"DONE!":COLOR PLR*6,0
10140 LOCATE 15,15:PRINT"PLAYER";PLR:LOCATE 11,16:PRINT"LEVEL BONUS:";LBS
10155 FOR I=1 TO 2:PLAY"A0O4L12DOPDOL20SOL12PPPPLASOFALAL30SOL12PPPP":NEXT:
10160 COLOR7,0:LOCATE0,20:CLS:IF LVN=HOWMLVLS THEN 3000 ELSE TURTLE1:SHOW 0:TURTLE2:SHOW 0:GOSUB 1150:GOTO 9000 'Next level
'
'
'DATA 
15000 'DATA
15005 'ARKAMOID THEME
15010 DATA "L12O4RE","RE","MI","FA","MI","MI","RE","RE","MI","MI","LA","LA","MI","MI","MI","MI","RE","RE","MI","FA","MI","MI","RE"
15020 DATA "RE","RE","RE","DO#","DO#","RE","DO#","RE","MI","RE","RE","MI","FA","MI","MI","RE","RE","MI","MI","LA","LA","MI","MI","MI"
15030 DATA "MI","FA","FA","SO","LA","SO","SO","FA","FA","SO","SO","O5DO","DO","O4SO","SO","SO","SO"
'
'
' --- LEVELS : PLEASE READ at line 5000
'
'
' LEVEL NR,MINX,MINY,MAX,MAXY,HOWMANYBRICKS,X,Y,GFXVAL,KINDVAL
'
'LV1 
15120 DATA 1,8,1,32,8,72
15130 DATA 8,3,8,1, 10,3,8,1, 12,3,8,1, 14,3,8,1, 16,3,8,1, 18,3,8,1, 20,3,8,1, 22,3,8,1, 24,3,8,1, 26,3,8,1, 28,3,8,1, 30,3,8,1
15140 DATA 8,4,1,1, 10,4,1,1, 12,4,1,1, 14,4,1,1, 16,4,1,1, 18,4,1,1, 20,4,1,1, 22,4,1,1, 24,4,1,1, 26,4,1,1, 28,4,1,1, 30,4,1,1
15150 DATA 8,5,4,1, 10,5,4,1, 12,5,4,1, 14,5,4,1, 16,5,4,1, 18,5,4,1, 20,5,4,1, 22,5,4,1, 24,5,4,1, 26,5,4,1, 28,5,4,1, 30,5,4,1
15160 DATA 8,6,3,1, 10,6,3,1, 12,6,3,1, 14,6,3,1, 16,6,3,1, 18,6,3,1, 20,6,3,1, 22,6,3,1, 24,6,3,1, 26,6,3,1, 28,6,3,1, 30,6,3,1
15170 DATA 8,7,5,1, 10,7,5,1, 12,7,5,1, 14,7,5,1, 16,7,5,1, 18,7,5,1, 20,7,5,1, 22,7,5,1, 24,7,5,1, 26,7,5,1, 28,7,5,1, 30,7,5,1
15180 DATA 8,8,2,1, 10,8,2,1, 12,8,2,1, 14,8,2,1, 16,8,2,1, 18,8,2,1, 20,8,2,1, 22,8,2,1, 24,8,2,1, 26,8,2,1, 28,8,2,1, 30,8,2,1
'
'LV2 
15190 DATA 2,2,5,38,15,73
15200 DATA 10,5,3,1,  10,6,3,1,  12,6,6,1,  10,7,3,1,  12,7,6,1,  14,7,2,1,  10,8,3,1,  12,8,6,1,  14,8,2,1,  16,8,4,1, 10,9,3,1, 12,9,6,1, 14,9,2,1, 16,9,4,1, 18,9,1,1
15210 DATA 10,10,3,1, 12,10,6,1, 14,10,2,1, 16,10,4,1, 18,10,1,1, 20,10,5,1, 10,11,3,1, 12,11,6,1, 14,11,2,1, 16,11,4,1, 18,11,1,1, 20,11,5,1, 22,11,6,1
15220 DATA 10,12,3,1, 12,12,6,1, 14,12,2,1, 16,12,4,1, 18,12,1,1, 20,12,5,1, 22,12,6,1, 24,12,2,1, 10,13,3,1, 12,13,6,1, 14,13,2,1, 16,13,4,1, 18,13,1,1 
15230 DATA 20,13,5,1, 22,13,6,1, 24,13,2,1, 26,13,4,1, 10,14,3,1, 12,14,6,1, 14,14,2,1, 16,14,4,1, 18,14,1,1, 20,14,5,1, 22,14,6,1, 24,14,2,1, 26,14,4,1 
15240 DATA 28,14,1,1, 2,15,8,1,  4,15,8,1,  6,15,8,1,  8,15,8,1,  10,15,8,1, 12,15,8,1, 14,15,8,1, 16,15,8,1, 18,15,8,1, 20,15,8,1, 22,15,8,1, 24,15,8,1
15250 DATA 26,15,8,1, 28,15,8,1, 30,15,8,1, 32,15,8,1, 34,15,8,1, 36,15,8,1 
'
'LV3:Star
15260 DATA 3,8,2,29,16,78
15275 DATA 18,2,3,1,18,3,3,1,16,4,3,1,18,4,3,1,20,4,3,1,16,5,3,1,18,5,3,1,20,5,3,1,8,6,3,1,10,6,3,1,12,6,3,1,14,6,3,1
15280 DATA 16,6,3,1,18,6,3,1,20,6,3,1,22,6,3,1,24,6,3,1,26,6,3,1,28,6,3,1,8,7,3,1,10,7,3,1,12,7,3,1,14,7,3,1,18,7,3,1,22,7,3,1
15290 DATA 24,7,3,1,26,7,3,1,28,7,3,1,10,8,3,1,12,8,3,1,14,8,3,1,18,8,3,1,22,8,3,1,24,8,3,1,26,8,3,1,12,9,3,1,14,9,3,1,18,9,3,1,22,9,3,1,24,9,3,1
15300 DATA 12,10,3,1,14,10,3,1,18,10,3,1,22,10,3,1,24,10,3,1,14,11,3,1,16,11,3,1,18,11,3,1,20,11,3,1,22,11,3,1,14,12,3,1,16,12,3,1,18,12,3,1,20,12,3,1,22,12,3,1
15310 DATA 12,13,3,1,14,13,3,1,16,13,3,1,18,13,3,1,20,13,3,1,22,13,3,1,24,13,3,1,12,14,3,1,14,14,3,1,16,14,3,1,20,14,3,1,22,14,3,1,24,14,3,1
15320 DATA 10,15,3,1,12,15,3,1,14,15,3,1,22,15,3,1,24,15,3,1,26,15,3,1,10,16,3,1,12,16,3,1,24,16,3,1,26,16,3,1
'
'LV4:Pacman 
15330 DATA 4,2,0,38,19,114
15340 DATA 6,1,4,1,  18,1,7,1,  32,1,4,1,  6,2,4,1,   18,2,7,1,  32,2,4,1,  2,3,4,1,   4,3,4,1,   34,3,4,1, 36,3,4,1, 2,4,4,1,  4,4,4,1,  34,4,4,1, 36,4,4,1
15350 DATA 10,5,3,1, 12,5,3,1,  14,5,3,1,  8,6,3,1,   10,6,3,1,  12,6,3,1,  14,6,3,1,  16,6,3,1,  24,6,1,1, 26,6,1,1, 28,6,1,1, 6,7,3,1,  8,7,3,1,  10,7,3,1  
15360 DATA 12,7,3,1, 14,7,3,1,  16,7,3,1,  22,7,1,1,  24,7,1,1,  26,7,1,1,  28,7,1,1,  30,7,1,1,  6,8,3,1,  8,8,3,1,  10,8,3,1, 12,8,3,1, 14,8,3,1, 22,8,1,1 
15370 DATA 24,8,7,1, 26,8,1,1,  28,8,7,1,  30,8,1,1,  36,8,7,1,  6,9,3,1,   8,9,3,1,   10,9,3,1,  12,9,3,1, 22,9,1,1, 24,9,4,1, 26,9,1,1, 28,9,4,1, 30,9,1,1
15380 DATA 36,9,7,1, 6,10,3,1,  8,10,3,1,  10,10,3,1, 12,10,3,1, 22,10,1,1, 24,10,4,1, 26,10,1,1, 28,10,4,1, 30,10,1,1
15390 DATA 6,11,3,1, 8,11,3,1,  10,11,3,1, 12,11,3,1, 14,11,3,1, 22,11,1,1, 24,11,1,1, 26,11,1,1, 28,11,1,1, 30,11,1,1
15400 DATA 6,12,3,1, 8,12,3,1,  10,12,3,1, 12,12,3,1, 14,12,3,1, 16,12,3,1, 22,12,1,1, 24,12,1,1, 26,12,1,1, 28,12,1,1, 30,12,1,1
15410 DATA 8,13,3,1, 10,13,3,1, 12,13,3,1, 14,13,3,1, 16,13,3,1, 22,13,1,1, 26,13,1,1, 30,13,1,1
15420 DATA 2,14,4,1, 4,14,4,1,  10,14,3,1, 12,14,3,1, 14,14,3,1, 34,14,4,1, 36,14,4,1
15430 DATA 2,15,4,1, 4,15,4,1,  34,15,4,1, 36,15,4,1, 6,16,4,1,  32,16,4,1, 6,17,4,1, 18,17,7,1, 32,17,4,1, 6,18,4,1, 18,18,7,1, 32,18,4,1 

'LV5:Doh 
15440 DATA 5,2,0,38,21,116
15450 DATA 12,1,1,1, 14,1,1,1, 16,1,1,1, 18,1,1,1, 10,2,1,1, 12,2,1,1, 14,2,1,1, 16,2,1,1, 18,2,1,1, 20,2,1,1, 10,3,1,1, 12,3,1,1, 14,3,1,1, 16,3,1,1, 18,3,1,1, 20,3,1,1
15460 DATA 8,4,1,1,  10,4,1,1, 12,4,1,1, 14,4,1,1, 16,4,1,1, 18,4,1,1, 20,4,1,1, 22,4,1,1, 8,5,1,1, 10,5,1,1, 12,5,1,1, 14,5,1,1, 16,5,1,1, 18,5,1,1, 20,5,1,1, 22,5,1,1
15470 DATA 8,6,1,1,  10,6,1,1, 20,6,1,1, 22,6,1,1, 8,7,1,1, 22,7,1,1, 8,8,1,1, 22,8,1,1, 8,9,1,1, 14,9,1,1, 16,9,1,1, 22,9,1,1
15480 DATA 10,10,1,1, 12,10,1,1, 16,10,1,1, 18,10,1,1, 20,10,1,1, 10,11,1,1, 12,11,1,1, 16,11,1,1, 18,11,1,1, 20,11,1,1
15490 DATA 10,12,1,1, 12,12,1,1, 16,12,1,1, 18,12,1,1, 20,12,1,1, 8,13,1,1, 10,13,1,1, 12,13,1,1, 18,13,1,1, 20,13,1,1, 22,13,1,1, 28,13,7,1
15500 DATA 8,14,1,1, 10,14,1,1, 12,14,1,1, 14,14,1,1, 16,14,1,1, 18,14,1,1, 20,14,1,1, 22,14,1,1, 8,15,1,1, 10,15,1,1, 12,15,1,1, 18,15,1,1, 20,15,1,1, 22,15,1,1
15510 DATA 8,16,1,1, 10,16,1,1,  14,16,1,1, 16,16,1,1, 20,16,1,1, 22,16,1,1, 8,17,1,1, 10,17,1,1, 12,17,1,1, 14,17,1,1, 16,17,1,1, 18,17,1,1, 20,17,1,1, 22,17,1,1
15520 DATA 10,18,1,1, 12,18,1,1, 14,18,1,1, 16,18,1,1, 18,18,1,1, 20,18,1,1, 26,18,1,1, 28,18,7,1, 30,18,7,1, 32,18,8,1, 34,18,7,1, 36,18,1,1
15530 DATA 12,19,1,1, 14,19,1,1, 16,19,1,1, 18,19,1,1, 26,19,1,1, 28,19,8,1, 30,19,8,1, 32,19,8,1, 34,19,8,1, 36,19,1,1

' MENU SCREEN
18000 'MENU SCREEN
18100 ATTRB0,0:COLOR1:GOSUB 24000 'LOCATE 12,7,0:PRINT ARK$:ATTRB0,0
18110 LOCATE 0,0:COLOR 1:PRINT "------ RETROPROGRAMMING ITA 8-BIT ------":LOCATE 0,1:PRINT "------- BREAKOUT BASIC CHALLENGE -------" 
18115 CRDT$(1)="      - Made in 2K19 just 4 fun:) -    ":CRDT$(2)="        - Mouse is recommended! -     ":CRDT$(3)="       - Code by Paolo Cattaneo - ":CRDT$(4)="  - Special thanks to Giuseppe Stassi -":  
18120 COLOR 6:LOCATE 11,12,0:PRINT"PLEASE PRESS 1 OR 2":LOCATE 14,13,0:PRINT"TO START GAME:":LOCATE 14,16,0:PRINT"(1) Player":LOCATE 14,17,0:PRINT"(2) Players"
18255 LOCATE 9,9:PRINT"FOR THOMSON MO6,TO8,TO9":LOCATE 9,10:PRINT"+PC128 OLIVETTI PRODEST":NTTM=1:PLAY"A2L1O1P":DO:PALETTE 1,(NTTM*64)-1:PLAY THM$(NTTM):NTTM=NTTM+1:IF NTTM>THMN THEN NTTM=1
18260 IF NTTM MOD 16 = 0 THEN CRDT=NTTM/16:LOCATE 0,22,0:PRINT CRDT$(CRDT)
18270 K$=INKEY$:IF K$="1" OR K$="2" THEN EXIT
18300 LOOP:HOWMPLR=VAL(K$):PLAY OK$:SCREEN7,0,0:CLS
18310 FOR I=0 TO 15:PALETTE I,PLTT(I):NEXT
18320 PLR=1:PLRSCR(1)=0:PLRSCR(2)=0:PLRLVS(1)=9:PLRLVS(2)=9:IF HOWMPLR=1 THEN PLRLVS(2)=0
18340 LOCATE0,0,0:PRINT"LOADING...":FOR Y=RWUP TO RWDOWN:FOR X=RWLFT TO RWRGT:BRICKS(X,Y)=0:BRICKV(X,Y)=0:NEXT:NEXT:CLS
18450 RESTORE 15120:RETURN

'
' *****************************
' *       SPLASH SCREEN       *
' *****************************
'
' Ok, that's a little tricky but worth the effort.
' The challenge was about having NO external files
' for graphics and other assets. So we are drawing
' the splash screen directly right here, form after 
' form. THEN we'll GET it in a 4K (it takes 100px
' vertically) memory segment and we'll PUT it back
' again from memory after the game over screen.
'
' The image is rendered in 160x100x16 mode, which
' i can invoke using the fifth parameter of
' CONSOLE instruction (the BEST Simiv Basic command
' ever made!).
'
' SPECIAL THANKS to GIUSEPPE STASSI for making his
' magical tool:
'
' http://retrohead.appodesign.com/?fbclid=IwAR0USIDVTAY3cs9AYNaDArcpv6qensTmN8RnPN68RuLnSb3nnMRWYFdBess
'
' PALETTE is another great command, you can set any
' of 16 colors in a valure between 0 and 4095.
'
'
19000 POKE &H2076,255:CONSOLE,,,,3:LOCATE,,0:SCREEN7,0,0:CLS
19010 PALETTE 1, 1904
19011 PALETTE 2, 3003
19012 PALETTE 3, 4095
19013 PALETTE 4, 7
19014 PALETTE 5, 15
19015 PALETTE 6, 1911
19016 PALETTE 7, 112
19017 PALETTE 8, 255
19018 PALETTE 9, 1792
19019 PALETTE 10, 3840
' First launch? we need to set up some vars and data.
' Otherwise, move at bottom and reprise the game:
'
19150 IF FRS=1 THEN 23300
19200 THMN=64:DIM THM$(THMN)
19300 FOR I=1 TO THMN:READ THM$(I):NEXT
19305 OK$="A0L4O3LAO5LA"
' those custom chars are not in use for now:
19350 DEFGR$(10)=6,14,26,50,98,194,98,26 'A
19351 DEFGR$(11)=104,100,98,100,104,116,98,97 'R
19352 DEFGR$(12)=98,98,98,100,104,116,98,97 'K
19353 DEFGR$(13)=98,118,106,106,106,106,98,66 'M
19354 DEFGR$(14)=60,98,217,209,193,193,98,60 'O
19355 DEFGR$(15)=24,24,24,24,24,24,24,16 'I
19356 DEFGR$(16)=96,104,100,98,98,100,104,112 'D
'19357 DEFGR$(17)=96,104,100,98,98,100,104,112 'P
19400 ARK$=GR$(10)+GR$(11)+GR$(12)+GR$(10)+GR$(13)+GR$(14)+GR$(15)+GR$(16)
19410 IF MO5=1 THEN 23350
'
' DRAW SPLASH SCREEN
20001 LINE (3,2)-(155,2),1
20025 PSET (3,3),1
20026 PSET (155,3),1
20027 PSET (3,4),1
20028 PSET (155,4),1
20029 PSET (3,5),1
20030 PSET (155,5),1
20031 PSET (3,6),1
20032 PSET (155,6),1
20033 PSET (3,7),1
20034 PSET (155,7),1
20035 PSET (3,8),1
20036 PSET (155,8),1
20037 PSET (3,9),1
20038 LINE (27,9)-(29,9),2
20039 LINE (31,9)-(32,9),2
20040 LINE (34,9)-(36,9),2
20041 LINE (38,9)-(40,9),2
20042 LINE (42,9)-(44,9),2
20043 LINE (46,9)-(48,9),2
20044 LINE (50,9)-(52,9),2
20045 LINE (54,9)-(56,9),2
20046 LINE (58,9)-(60,9),2
20047 LINE (62,9)-(64,9),2
20048 LINE (66,9)-(68,9),2
20049 LINE (70,9)-(71,9),2
20050 LINE (73,9)-(74,9),2
20051 LINE (76,9)-(77,9),2
20052 LINE (79,9)-(80,9),2
20053 PSET (82,9),2
20054 LINE (84,9)-(85,9),2
20055 PSET (88,9),2
20056 LINE (90,9)-(92,9),2
20057 PSET (101,9),2
20058 LINE (103,9)-(105,9),2
20059 LINE (107,9)-(109,9),2
20060 LINE (117,9)-(118,9),2
20061 LINE (121,9)-(123,9),2
20062 PSET (126,9),2
20063 LINE (128,9)-(130,9),2
20064 PSET (155,9),1
20065 PSET (3,10),1
20066 PSET (27,10),2
20067 PSET (29,10),2
20068 PSET (31,10),2
20069 PSET (35,10),2
20070 PSET (38,10),2
20071 PSET (40,10),2
20072 PSET (42,10),2
20073 PSET (44,10),2
20074 PSET (46,10),2
20075 PSET (48,10),2
20076 PSET (50,10),2
20077 PSET (52,10),2
20078 PSET (54,10),2
20079 PSET (56,10),2
20080 PSET (58,10),2
20081 PSET (62,10),2
20082 PSET (64,10),2
20083 PSET (66,10),2
20084 PSET (68,10),2
20085 PSET (70,10),2
20086 PSET (72,10),2
20087 PSET (74,10),2
20088 PSET (76,10),2
20089 PSET (78,10),2
20090 PSET (80,10),2
20091 PSET (82,10),2
20092 PSET (84,10),2
20093 PSET (86,10),2
20094 PSET (88,10),2
20095 PSET (90,10),2
20096 PSET (101,10),2
20097 PSET (104,10),2
20098 PSET (107,10),2
20099 PSET (109,10),2
20100 PSET (116,10),2
20101 PSET (119,10),2
20102 PSET (121,10),2
20103 PSET (124,10),2
20104 PSET (126,10),2
20105 PSET (129,10),2
20106 PSET (155,10),1
20107 PSET (3,11),1
20108 LINE (27,11)-(29,11),3
20109 LINE (31,11)-(32,11),3
20110 PSET (35,11),3
20111 LINE (38,11)-(40,11),3
20112 PSET (42,11),3
20113 PSET (44,11),3
20114 LINE (46,11)-(48,11),3
20115 LINE (50,11)-(52,11),3
20116 PSET (54,11),3
20117 PSET (56,11),3
20118 PSET (58,11),3
20119 LINE (62,11)-(64,11),3
20120 LINE (66,11)-(68,11),3
20121 PSET (70,11),3
20122 PSET (74,11),3
20123 PSET (76,11),3
20124 PSET (80,11),3
20125 PSET (82,11),3
20126 PSET (84,11),3
20127 PSET (86,11),3
20128 PSET (88,11),3
20129 PSET (90,11),3
20130 PSET (97,11),3
20131 PSET (101,11),3
20132 PSET (104,11),3
20133 LINE (107,11)-(109,11),3
20134 PSET (113,11),3
20135 LINE (117,11)-(118,11),3
20136 LINE (121,11)-(123,11),3
20137 PSET (126,11),3
20138 PSET (129,11),3
20139 PSET (155,11),1
20140 PSET (3,12),1
20141 LINE (27,12)-(28,12),2
20142 PSET (31,12),2
20143 PSET (35,12),2
20144 LINE (38,12)-(39,12),2
20145 PSET (42,12),2
20146 PSET (44,12),2
20147 PSET (46,12),2
20148 LINE (50,12)-(51,12),2
20149 PSET (54,12),2
20150 PSET (56,12),2
20151 PSET (58,12),2
20152 PSET (60,12),2
20153 LINE (62,12)-(63,12),2
20154 PSET (66,12),2
20155 PSET (68,12),2
20156 PSET (70,12),2
20157 PSET (74,12),2
20158 PSET (76,12),2
20159 PSET (80,12),2
20160 PSET (82,12),2
20161 PSET (84,12),2
20162 LINE (87,12)-(88,12),2
20163 PSET (90,12),2
20164 PSET (92,12),2
20165 PSET (101,12),2
20166 PSET (104,12),2
20167 PSET (107,12),2
20168 PSET (109,12),2
20169 PSET (116,12),2
20170 PSET (119,12),2
20171 PSET (121,12),2
20172 PSET (124,12),2
20173 PSET (126,12),2
20174 PSET (129,12),2
20175 PSET (155,12),1
20176 PSET (3,13),1
20177 PSET (27,13),2
20178 PSET (29,13),2
20179 LINE (31,13)-(32,13),2
20180 PSET (35,13),2
20181 PSET (38,13),2
20182 PSET (40,13),2
20183 LINE (42,13)-(44,13),2
20184 PSET (46,13),2
20185 PSET (50,13),2
20186 PSET (52,13),2
20187 LINE (54,13)-(56,13),2
20188 LINE (58,13)-(60,13),2
20189 PSET (62,13),2
20190 PSET (64,13),2
20191 PSET (66,13),2
20192 PSET (68,13),2
20193 PSET (70,13),2
20194 PSET (74,13),2
20195 PSET (76,13),2
20196 PSET (80,13),2
20197 PSET (82,13),2
20198 PSET (84,13),2
20199 PSET (88,13),2
20200 LINE (90,13)-(92,13),2
20201 PSET (101,13),2
20202 PSET (104,13),2
20203 PSET (107,13),2
20204 PSET (109,13),2
20205 LINE (117,13)-(118,13),2
20206 LINE (121,13)-(123,13),2
20207 PSET (126,13),2
20208 PSET (129,13),2
20209 PSET (155,13),1
20210 PSET (3,14),1
20211 PSET (155,14),1
20212 PSET (3,15),1
20213 PSET (155,15),1
20214 PSET (3,16),1
20215 PSET (155,16),1
20216 PSET (3,17),1
20217 PSET (155,17),1
20218 PSET (3,18),1
20219 LINE (37,18)-(38,18),1
20220 LINE (41,18)-(43,18),1
20221 LINE (45,18)-(46,18),1
20222 LINE (48,18)-(50,18),1
20223 PSET (52,18),1
20224 PSET (54,18),1
20225 LINE (56,18)-(58,18),1
20226 PSET (60,18),1
20227 PSET (62,18),1
20228 LINE (64,18)-(66,18),1
20229 LINE (71,18)-(72,18),1
20230 LINE (75,18)-(77,18),1
20231 LINE (79,18)-(80,18),1
20232 PSET (82,18),1
20233 LINE (84,18)-(85,18),1
20234 LINE (91,18)-(92,18),1
20235 PSET (94,18),1
20236 PSET (96,18),1
20237 LINE (98,18)-(100,18),1
20238 PSET (102,18),1
20239 PSET (105,18),1
20240 LINE (108,18)-(109,18),1
20241 PSET (111,18),1
20242 PSET (114,18),1
20243 LINE (116,18)-(118,18),1
20244 LINE (120,18)-(122,18),1
20245 PSET (155,18),1
20246 PSET (3,19),1
20247 PSET (37,19),1
20248 PSET (39,19),1
20249 PSET (41,19),1
20250 PSET (43,19),1
20251 PSET (45,19),1
20252 PSET (48,19),1
20253 PSET (50,19),1
20254 PSET (52,19),1
20255 PSET (54,19),1
20256 PSET (56,19),1
20257 PSET (58,19),1
20258 PSET (60,19),1
20259 PSET (62,19),1
20260 PSET (65,19),1
20261 PSET (71,19),1
20262 PSET (73,19),1
20263 PSET (75,19),1
20264 PSET (77,19),1
20265 PSET (79,19),1
20266 PSET (82,19),1
20267 PSET (84,19),1
20268 PSET (91,19),1
20269 PSET (94,19),1
20270 PSET (96,19),1
20271 PSET (98,19),1
20272 PSET (100,19),1
20273 PSET (102,19),1
20274 PSET (105,19),1
20275 PSET (108,19),1
20276 LINE (111,19)-(112,19),1
20277 PSET (114,19),1
20278 PSET (116,19),1
20279 PSET (120,19),1
20280 PSET (155,19),1
20281 PSET (3,20),1
20282 LINE (37,20)-(38,20),3
20283 LINE (41,20)-(43,20),3
20284 LINE (45,20)-(46,20),3
20285 LINE (48,20)-(50,20),3
20286 LINE (52,20)-(53,20),3
20287 PSET (56,20),3
20288 PSET (58,20),3
20289 PSET (60,20),3
20290 PSET (62,20),3
20291 PSET (65,20),3
20292 LINE (71,20)-(72,20),3
20293 LINE (75,20)-(77,20),3
20294 LINE (79,20)-(80,20),3
20295 PSET (82,20),3
20296 PSET (84,20),3
20297 PSET (91,20),3
20298 LINE (94,20)-(96,20),3
20299 LINE (98,20)-(100,20),3
20300 PSET (102,20),3
20301 PSET (105,20),3
20302 LINE (108,20)-(109,20),3
20303 LINE (111,20)-(114,20),3
20304 PSET (116,20),3
20305 LINE (120,20)-(121,20),3
20306 PSET (155,20),1
20307 PSET (3,21),1
20308 PSET (37,21),1
20309 PSET (39,21),1
20310 LINE (41,21)-(42,21),1
20311 PSET (45,21),1
20312 PSET (48,21),1
20313 PSET (50,21),1
20314 PSET (52,21),1
20315 PSET (54,21),1
20316 PSET (56,21),1
20317 PSET (58,21),1
20318 PSET (60,21),1
20319 PSET (62,21),1
20320 PSET (65,21),1
20321 PSET (71,21),1
20322 PSET (73,21),1
20323 PSET (75,21),1
20324 PSET (77,21),1
20325 PSET (80,21),1
20326 PSET (82,21),1
20327 PSET (84,21),1
20328 PSET (91,21),1
20329 PSET (94,21),1
20330 PSET (96,21),1
20331 PSET (98,21),1
20332 PSET (100,21),1
20333 PSET (102,21),1
20334 PSET (105,21),1
20335 PSET (108,21),1
20336 PSET (111,21),1
20337 LINE (113,21)-(114,21),1
20338 PSET (116,21),1
20339 PSET (118,21),1
20340 PSET (120,21),1
20341 PSET (155,21),1
20342 PSET (3,22),1
20343 PSET (35,22),1
20344 LINE (37,22)-(38,22),1
20345 PSET (41,22),1
20346 PSET (43,22),1
20347 LINE (45,22)-(46,22),1
20348 PSET (48,22),1
20349 PSET (50,22),1
20350 PSET (52,22),1
20351 PSET (54,22),1
20352 LINE (56,22)-(58,22),1
20353 LINE (60,22)-(62,22),1
20354 PSET (65,22),1
20355 PSET (68,22),1
20356 LINE (71,22)-(72,22),1
20357 PSET (75,22),1
20358 PSET (77,22),1
20359 LINE (79,22)-(80,22),1
20360 PSET (82,22),1
20361 LINE (84,22)-(85,22),1
20362 PSET (88,22),1
20363 LINE (91,22)-(92,22),1
20364 PSET (94,22),1
20365 PSET (96,22),1
20366 PSET (98,22),1
20367 PSET (100,22),1
20368 LINE (102,22)-(103,22),1
20369 LINE (105,22)-(106,22),1
20370 LINE (108,22)-(109,22),1
20371 PSET (111,22),1
20372 PSET (114,22),1
20373 LINE (116,22)-(118,22),1
20374 LINE (120,22)-(122,22),1
20375 PSET (124,22),1
20376 PSET (155,22),1
20377 PSET (3,23),1
20378 PSET (155,23),1
20379 PSET (3,24),1
20380 PSET (155,24),1
20381 PSET (3,25),1
20382 PSET (132,25),2
20383 PSET (155,25),1
20384 PSET (3,26),1
20385 PSET (132,26),2
20386 PSET (133,26),4
20387 PSET (155,26),1
20388 PSET (3,27),1
20389 PSET (131,27),2
20390 PSET (133,27),4
20391 PSET (155,27),1
20392 PSET (3,28),1
20393 PSET (32,28),2
20394 PSET (78,28),2
20395 PSET (98,28),2
20396 PSET (131,28),2
20397 PSET (134,28),4
20398 PSET (155,28),1
20399 PSET (3,29),1
20400 PSET (31,29),2
20401 PSET (32,29),4
20402 PSET (78,29),2
20403 PSET (79,29),4
20404 PSET (98,29),2
20405 PSET (130,29),2
20406 PSET (134,29),4
20407 PSET (155,29),1
20408 PSET (3,30),1
20409 PSET (31,30),2
20410 PSET (32,30),4
20411 PSET (41,30),2
20412 PSET (77,30),2
20413 LINE (78,30)-(79,30),4
20414 PSET (97,30),2
20415 PSET (98,30),5
20416 PSET (106,30),5
20417 LINE (107,30)-(110,30),4
20418 PSET (130,30),2
20419 PSET (135,30),4
20420 PSET (155,30),1
20421 PSET (3,31),1
20422 PSET (30,31),2
20423 LINE (31,31)-(32,31),4
20424 PSET (40,31),2
20425 PSET (41,31),4
20426 PSET (77,31),2
20427 PSET (78,31),4
20428 PSET (80,31),4
20429 PSET (97,31),2
20430 PSET (98,31),4
20431 PSET (105,31),5
20432 PSET (110,31),4
20433 PSET (111,31),5
20434 PSET (129,31),2
20435 PSET (135,31),4
20436 PSET (155,31),1
20437 PSET (3,32),1
20438 PSET (30,32),2
20439 PSET (32,32),4
20440 PSET (40,32),2
20441 PSET (42,32),4
20442 LINE (48,32)-(52,32),3
20443 PSET (53,32),6
20444 PSET (76,32),2
20445 LINE (77,32)-(78,32),4
20446 PSET (80,32),4
20447 PSET (96,32),2
20448 LINE (97,32)-(98,32),4
20449 PSET (104,32),5
20450 PSET (112,32),5
20451 LINE (118,32)-(128,32),3
20452 PSET (129,32),6
20453 PSET (136,32),4
20454 PSET (155,32),1
20455 PSET (3,33),1
20456 PSET (29,33),2
20457 PSET (30,33),4
20458 PSET (32,33),2
20459 LINE (33,33)-(36,33),3
20460 PSET (37,33),6
20461 PSET (39,33),2
20462 PSET (40,33),4
20463 PSET (42,33),4
20464 LINE (48,33)-(53,33),4
20465 PSET (76,33),2
20466 PSET (78,33),4
20467 PSET (81,33),4
20468 PSET (96,33),2
20469 PSET (98,33),4
20470 PSET (103,33),4
20471 PSET (113,33),4
20472 PSET (118,33),2
20473 LINE (119,33)-(129,33),4
20474 PSET (136,33),4
20475 PSET (155,33),1
20476 PSET (3,34),1
20477 PSET (29,34),2
20478 LINE (32,34)-(37,34),4
20479 PSET (39,34),2
20480 PSET (43,34),4
20481 PSET (48,34),4
20482 PSET (53,34),4
20483 PSET (75,34),2
20484 PSET (76,34),4
20485 PSET (78,34),4
20486 PSET (81,34),4
20487 PSET (95,34),2
20488 PSET (96,34),4
20489 PSET (98,34),4
20490 LINE (102,34)-(103,34),4
20491 LINE (113,34)-(114,34),4
20492 PSET (118,34),2
20493 PSET (123,34),4
20494 PSET (128,34),4
20495 PSET (130,34),4
20496 PSET (137,34),4
20497 PSET (155,34),1
20498 PSET (3,35),1
20499 PSET (28,35),2
20500 PSET (29,35),4
20501 PSET (32,35),4
20502 PSET (37,35),4
20503 PSET (38,35),2
20504 PSET (39,35),4
20505 PSET (43,35),4
20506 PSET (48,35),4
20507 PSET (53,35),4
20508 PSET (75,35),2
20509 PSET (78,35),4
20510 PSET (82,35),4
20511 PSET (95,35),2
20512 PSET (98,35),4
20513 PSET (102,35),4
20514 PSET (114,35),4
20515 PSET (118,35),2
20516 PSET (123,35),4
20517 PSET (128,35),4
20518 PSET (130,35),4
20519 PSET (137,35),4
20520 PSET (155,35),1
20521 PSET (3,36),1
20522 PSET (28,36),2
20523 PSET (32,36),4
20524 PSET (37,36),4
20525 PSET (38,36),2
20526 PSET (44,36),4
20527 PSET (48,36),4
20528 PSET (53,36),4
20529 PSET (74,36),2
20530 PSET (75,36),4
20531 PSET (78,36),4
20532 PSET (82,36),4
20533 PSET (94,36),2
20534 PSET (95,36),4
20535 PSET (98,36),4
20536 PSET (101,36),4
20537 PSET (115,36),4
20538 PSET (118,36),2
20539 PSET (123,36),4
20540 PSET (128,36),4
20541 PSET (131,36),4
20542 PSET (138,36),4
20543 PSET (155,36),1
20544 PSET (3,37),1
20545 PSET (27,37),2
20546 PSET (28,37),4
20547 PSET (32,37),4
20548 PSET (37,37),2
20549 PSET (38,37),4
20550 PSET (44,37),4
20551 PSET (48,37),4
20552 PSET (53,37),4
20553 PSET (59,37),2
20554 PSET (60,37),4
20555 PSET (74,37),2
20556 PSET (78,37),4
20557 PSET (83,37),4
20558 PSET (94,37),2
20559 PSET (98,37),4
20560 PSET (101,37),4
20561 PSET (115,37),4
20562 PSET (118,37),2
20563 PSET (123,37),4
20564 PSET (128,37),4
20565 PSET (131,37),4
20566 PSET (138,37),4
20567 PSET (155,37),1
20568 PSET (3,38),1
20569 PSET (27,38),2
20570 PSET (32,38),4
20571 LINE (37,38)-(38,38),4
20572 PSET (45,38),4
20573 PSET (48,38),4
20574 PSET (53,38),4
20575 PSET (59,38),2
20576 PSET (61,38),4
20577 PSET (73,38),2
20578 PSET (74,38),4
20579 PSET (78,38),4
20580 PSET (83,38),4
20581 PSET (93,38),2
20582 PSET (94,38),4
20583 PSET (98,38),4
20584 PSET (101,38),4
20585 PSET (115,38),4
20586 PSET (118,38),2
20587 PSET (123,38),4
20588 PSET (128,38),4
20589 PSET (132,38),4
20590 PSET (139,38),4
20591 PSET (155,38),1
20592 PSET (3,39),1
20593 PSET (26,39),2
20594 PSET (27,39),4
20595 PSET (32,39),4
20596 LINE (37,39)-(38,39),4
20597 PSET (45,39),4
20598 PSET (48,39),4
20599 PSET (53,39),4
20600 PSET (58,39),2
20601 PSET (59,39),4
20602 PSET (61,39),4
20603 PSET (73,39),2
20604 PSET (78,39),4
20605 PSET (84,39),4
20606 PSET (93,39),2
20607 PSET (98,39),4
20608 PSET (100,39),4
20609 PSET (116,39),4
20610 PSET (118,39),2
20611 PSET (123,39),4
20612 PSET (128,39),4
20613 PSET (132,39),4
20614 PSET (139,39),4
20615 PSET (155,39),1
20616 PSET (3,40),1
20617 PSET (26,40),2
20618 PSET (32,40),4
20619 PSET (37,40),4
20620 PSET (39,40),4
20621 PSET (46,40),4
20622 PSET (48,40),4
20623 PSET (53,40),4
20624 PSET (58,40),2
20625 PSET (61,40),4
20626 PSET (72,40),2
20627 PSET (73,40),4
20628 PSET (78,40),4
20629 PSET (84,40),4
20630 PSET (92,40),2
20631 PSET (93,40),4
20632 PSET (98,40),4
20633 PSET (100,40),4
20634 PSET (116,40),4
20635 PSET (118,40),2
20636 PSET (123,40),4
20637 PSET (128,40),4
20638 PSET (133,40),4
20639 PSET (140,40),4
20640 PSET (155,40),1
20641 PSET (3,41),1
20642 PSET (25,41),2
20643 PSET (26,41),4
20644 PSET (32,41),4
20645 PSET (37,41),4
20646 PSET (39,41),4
20647 PSET (46,41),4
20648 PSET (48,41),4
20649 PSET (53,41),4
20650 PSET (57,41),2
20651 PSET (58,41),4
20652 PSET (62,41),4
20653 PSET (72,41),2
20654 PSET (78,41),4
20655 PSET (85,41),4
20656 PSET (92,41),2
20657 PSET (98,41),4
20658 PSET (100,41),4
20659 LINE (107,41)-(109,41),4
20660 PSET (116,41),4
20661 PSET (118,41),2
20662 PSET (123,41),4
20663 PSET (128,41),4
20664 PSET (133,41),2
20665 PSET (140,41),4
20666 PSET (155,41),1
20667 PSET (3,42),1
20668 PSET (25,42),2
20669 PSET (32,42),4
20670 PSET (37,42),4
20671 PSET (40,42),4
20672 LINE (47,42)-(48,42),4
20673 PSET (53,42),4
20674 PSET (57,42),2
20675 PSET (62,42),4
20676 PSET (71,42),2
20677 PSET (72,42),4
20678 PSET (78,42),4
20679 PSET (85,42),4
20680 PSET (91,42),2
20681 PSET (92,42),4
20682 LINE (98,42)-(99,42),4
20683 LINE (106,42)-(107,42),4
20684 PSET (108,42),7
20685 LINE (109,42)-(110,42),4
20686 PSET (117,42),4
20687 PSET (118,42),2
20688 PSET (123,42),4
20689 PSET (128,42),4
20690 PSET (132,42),2
20691 PSET (133,42),4
20692 PSET (140,42),4
20693 PSET (155,42),1
20694 PSET (3,43),1
20695 PSET (24,43),2
20696 PSET (25,43),4
20697 PSET (32,43),4
20698 PSET (37,43),4
20699 PSET (40,43),4
20700 LINE (47,43)-(48,43),4
20701 PSET (53,43),4
20702 PSET (56,43),2
20703 PSET (57,43),4
20704 PSET (62,43),4
20705 PSET (71,43),2
20706 PSET (78,43),4
20707 PSET (86,43),4
20708 PSET (91,43),2
20709 LINE (98,43)-(99,43),4
20710 PSET (105,43),4
20711 PSET (106,43),7
20712 PSET (108,43),7
20713 PSET (110,43),7
20714 PSET (111,43),4
20715 PSET (117,43),4
20716 PSET (118,43),2
20717 PSET (123,43),4
20718 PSET (128,43),4
20719 PSET (132,43),2
20720 PSET (139,43),4
20721 PSET (155,43),1
20722 PSET (3,44),1
20723 PSET (24,44),2
20724 PSET (32,44),4
20725 PSET (37,44),4
20726 PSET (40,44),2
20727 LINE (47,44)-(48,44),4
20728 PSET (53,44),4
20729 PSET (56,44),2
20730 PSET (62,44),4
20731 PSET (70,44),2
20732 PSET (71,44),4
20733 PSET (78,44),4
20734 PSET (86,44),4
20735 PSET (90,44),2
20736 PSET (91,44),4
20737 LINE (98,44)-(99,44),4
20738 PSET (105,44),4
20739 PSET (106,44),7
20740 PSET (108,44),7
20741 PSET (110,44),7
20742 PSET (111,44),4
20743 PSET (117,44),4
20744 PSET (118,44),2
20745 PSET (123,44),4
20746 PSET (128,44),4
20747 PSET (131,44),2
20748 PSET (132,44),4
20749 PSET (139,44),4
20750 PSET (155,44),1
20751 PSET (3,45),1
20752 PSET (23,45),2
20753 PSET (24,45),4
20754 PSET (32,45),4
20755 PSET (37,45),4
20756 PSET (39,45),2
20757 PSET (40,45),4
20758 LINE (47,45)-(48,45),4
20759 PSET (53,45),4
20760 PSET (55,45),2
20761 PSET (56,45),4
20762 PSET (62,45),4
20763 PSET (70,45),2
20764 PSET (78,45),4
20765 PSET (87,45),4
20766 PSET (90,45),2
20767 LINE (98,45)-(99,45),4
20768 PSET (105,45),4
20769 PSET (106,45),8
20770 PSET (107,45),7
20771 PSET (108,45),8
20772 PSET (109,45),7
20773 PSET (110,45),8
20774 PSET (111,45),4
20775 PSET (117,45),4
20776 PSET (118,45),2
20777 PSET (123,45),4
20778 PSET (128,45),4
20779 PSET (131,45),2
20780 PSET (138,45),4
20781 PSET (155,45),1
20782 PSET (3,46),1
20783 PSET (23,46),2
20784 PSET (32,46),4
20785 PSET (37,46),4
20786 PSET (39,46),2
20787 PSET (46,46),4
20788 PSET (48,46),4
20789 PSET (53,46),4
20790 PSET (55,46),2
20791 PSET (61,46),4
20792 PSET (69,46),2
20793 PSET (70,46),4
20794 PSET (78,46),4
20795 PSET (87,46),4
20796 PSET (89,46),2
20797 PSET (90,46),4
20798 LINE (98,46)-(99,46),4
20799 PSET (105,46),4
20800 PSET (106,46),7
20801 PSET (108,46),7
20802 PSET (110,46),7
20803 PSET (111,46),4
20804 LINE (117,46)-(118,46),4
20805 PSET (123,46),4
20806 PSET (128,46),4
20807 PSET (130,46),2
20808 PSET (131,46),4
20809 PSET (138,46),4
20810 PSET (155,46),1
20811 PSET (3,47),1
20812 PSET (22,47),2
20813 PSET (23,47),4
20814 PSET (32,47),4
20815 PSET (37,47),4
20816 PSET (38,47),2
20817 PSET (39,47),4
20818 PSET (46,47),4
20819 PSET (48,47),4
20820 PSET (53,47),4
20821 PSET (54,47),2
20822 PSET (55,47),4
20823 PSET (61,47),4
20824 PSET (69,47),2
20825 PSET (78,47),4
20826 PSET (88,47),4
20827 PSET (89,47),2
20828 LINE (98,47)-(99,47),4
20829 PSET (104,47),4
20830 PSET (106,47),7
20831 PSET (108,47),7
20832 PSET (110,47),7
20833 PSET (112,47),4
20834 LINE (117,47)-(118,47),4
20835 PSET (123,47),4
20836 PSET (128,47),4
20837 PSET (130,47),2
20838 PSET (137,47),4
20839 PSET (155,47),1
20840 PSET (3,48),1
20841 PSET (22,48),2
20842 PSET (32,48),4
20843 PSET (37,48),4
20844 PSET (38,48),2
20845 PSET (45,48),4
20846 PSET (48,48),4
20847 PSET (53,48),4
20848 PSET (54,48),2
20849 PSET (60,48),4
20850 PSET (68,48),2
20851 PSET (69,48),4
20852 PSET (78,48),4
20853 LINE (88,48)-(89,48),4
20854 LINE (98,48)-(99,48),4
20855 PSET (104,48),4
20856 PSET (106,48),7
20857 PSET (108,48),7
20858 PSET (110,48),7
20859 PSET (112,48),4
20860 LINE (117,48)-(118,48),4
20861 PSET (123,48),4
20862 PSET (128,48),4
20863 PSET (129,48),2
20864 PSET (130,48),4
20865 PSET (137,48),4
20866 PSET (155,48),1
20867 PSET (3,49),1
20868 PSET (21,49),2
20869 PSET (22,49),4
20870 PSET (32,49),4
20871 PSET (37,49),2
20872 PSET (38,49),4
20873 PSET (45,49),4
20874 PSET (48,49),4
20875 PSET (53,49),2
20876 PSET (54,49),4
20877 PSET (60,49),4
20878 PSET (68,49),2
20879 PSET (78,49),4
20880 LINE (98,49)-(99,49),4
20881 PSET (104,49),4
20882 PSET (105,49),7
20883 PSET (106,49),8
20884 PSET (107,49),7
20885 PSET (108,49),8
20886 PSET (109,49),7
20887 PSET (110,49),8
20888 PSET (111,49),7
20889 PSET (112,49),4
20890 LINE (117,49)-(118,49),4
20891 PSET (123,49),4
20892 PSET (128,49),4
20893 PSET (129,49),2
20894 PSET (136,49),4
20895 PSET (155,49),1
20896 PSET (3,50),1
20897 PSET (21,50),2
20898 LINE (22,50)-(31,50),9
20899 PSET (32,50),4
20900 LINE (33,50)-(43,50),9
20901 PSET (44,50),4
20902 PSET (48,50),4
20903 LINE (49,50)-(52,50),9
20904 PSET (53,50),4
20905 LINE (54,50)-(58,50),9
20906 PSET (59,50),4
20907 PSET (67,50),2
20908 LINE (68,50)-(77,50),9
20909 PSET (78,50),4
20910 LINE (79,50)-(97,50),9
20911 LINE (98,50)-(99,50),4
20912 LINE (100,50)-(103,50),9
20913 PSET (104,50),4
20914 PSET (106,50),7
20915 PSET (108,50),7
20916 PSET (110,50),7
20917 PSET (112,50),4
20918 LINE (113,50)-(116,50),9
20919 LINE (117,50)-(118,50),4
20920 LINE (119,50)-(122,50),9
20921 PSET (123,50),4
20922 LINE (124,50)-(127,50),9
20923 LINE (128,50)-(129,50),4
20924 LINE (130,50)-(135,50),9
20925 PSET (136,50),4
20926 PSET (155,50),1
20927 PSET (3,51),1
20928 PSET (20,51),2
20929 LINE (21,51)-(31,51),9
20930 PSET (32,51),4
20931 LINE (33,51)-(43,51),9
20932 PSET (44,51),4
20933 PSET (48,51),4
20934 LINE (49,51)-(58,51),9
20935 PSET (59,51),4
20936 PSET (67,51),2
20937 LINE (68,51)-(77,51),9
20938 PSET (78,51),4
20939 LINE (79,51)-(97,51),9
20940 LINE (98,51)-(99,51),4
20941 LINE (100,51)-(103,51),9
20942 PSET (104,51),4
20943 PSET (106,51),7
20944 PSET (108,51),7
20945 PSET (110,51),7
20946 PSET (112,51),4
20947 LINE (113,51)-(116,51),9
20948 LINE (117,51)-(118,51),4
20949 LINE (119,51)-(122,51),9
20950 PSET (123,51),4
20951 LINE (124,51)-(134,51),9
20952 PSET (135,51),4
20953 PSET (155,51),1
20954 PSET (3,52),1
20955 PSET (20,52),2
20956 LINE (21,52)-(31,52),10
20957 PSET (32,52),4
20958 LINE (33,52)-(42,52),10
20959 PSET (43,52),4
20960 PSET (48,52),4
20961 LINE (49,52)-(57,52),10
20962 PSET (58,52),4
20963 PSET (66,52),2
20964 LINE (67,52)-(77,52),10
20965 PSET (78,52),4
20966 LINE (79,52)-(97,52),10
20967 PSET (98,52),2
20968 PSET (99,52),4
20969 LINE (100,52)-(104,52),10
20970 PSET (106,52),7
20971 PSET (108,52),7
20972 PSET (110,52),7
20973 PSET (111,52),4
20974 LINE (112,52)-(116,52),10
20975 LINE (117,52)-(118,52),4
20976 LINE (119,52)-(122,52),10
20977 PSET (123,52),4
20978 LINE (124,52)-(134,52),10
20979 PSET (135,52),4
20980 PSET (155,52),1
20981 PSET (3,53),1
20982 PSET (19,53),2
20983 LINE (20,53)-(31,53),10
20984 PSET (32,53),4
20985 LINE (33,53)-(42,53),10
20986 PSET (43,53),4
20987 PSET (48,53),4
20988 LINE (49,53)-(57,53),10
20989 PSET (58,53),4
20990 PSET (66,53),2
20991 LINE (67,53)-(77,53),10
20992 PSET (78,53),4
20993 LINE (79,53)-(83,53),10
20994 PSET (84,53),4
20995 LINE (85,53)-(92,53),10
20996 PSET (93,53),4
20997 LINE (94,53)-(97,53),10
20998 PSET (98,53),2
20999 PSET (99,53),4
21000 LINE (100,53)-(104,53),10
21001 PSET (105,53),7
21002 PSET (106,53),8
21003 PSET (107,53),7
21004 PSET (108,53),8
21005 PSET (109,53),7
21006 PSET (110,53),8
21007 PSET (111,53),7
21008 LINE (112,53)-(116,53),10
21009 LINE (117,53)-(118,53),4
21010 LINE (119,53)-(122,53),10
21011 PSET (123,53),4
21012 LINE (124,53)-(133,53),10
21013 PSET (134,53),4
21014 PSET (155,53),1
21015 PSET (3,54),1
21016 PSET (19,54),6
21017 LINE (20,54)-(31,54),2
21018 PSET (32,54),4
21019 LINE (33,54)-(42,54),2
21020 PSET (48,54),4
21021 LINE (49,54)-(57,54),2
21022 PSET (65,54),6
21023 LINE (66,54)-(77,54),2
21024 PSET (78,54),4
21025 LINE (79,54)-(83,54),2
21026 PSET (84,54),4
21027 LINE (85,54)-(92,54),2
21028 PSET (93,54),4
21029 LINE (94,54)-(98,54),2
21030 PSET (99,54),4
21031 LINE (100,54)-(104,54),2
21032 PSET (106,54),7
21033 PSET (108,54),7
21034 PSET (110,54),7
21035 LINE (112,54)-(116,54),2
21036 LINE (118,54)-(133,54),2
21037 PSET (134,54),4
21038 PSET (155,54),1
21039 PSET (3,55),1
21040 LINE (18,55)-(25,55),2
21041 PSET (26,55),5
21042 LINE (27,55)-(31,55),2
21043 PSET (32,55),4
21044 LINE (33,55)-(41,55),2
21045 PSET (42,55),4
21046 LINE (48,55)-(57,55),2
21047 PSET (58,55),4
21048 LINE (65,55)-(72,55),2
21049 PSET (73,55),4
21050 LINE (74,55)-(77,55),2
21051 PSET (78,55),4
21052 LINE (79,55)-(83,55),2
21053 LINE (84,55)-(85,55),4
21054 LINE (86,55)-(91,55),2
21055 PSET (92,55),4
21056 LINE (93,55)-(98,55),2
21057 PSET (99,55),4
21058 LINE (100,55)-(105,55),2
21059 PSET (106,55),7
21060 PSET (108,55),7
21061 PSET (110,55),7
21062 LINE (111,55)-(116,55),2
21063 LINE (118,55)-(122,55),2
21064 PSET (123,55),5
21065 LINE (124,55)-(132,55),2
21066 PSET (133,55),4
21067 PSET (155,55),1
21068 PSET (3,56),1
21069 PSET (18,56),2
21070 LINE (19,56)-(25,56),3
21071 PSET (26,56),4
21072 PSET (27,56),2
21073 LINE (28,56)-(31,56),3
21074 PSET (32,56),4
21075 LINE (33,56)-(41,56),3
21076 PSET (42,56),2
21077 PSET (48,56),2
21078 LINE (49,56)-(57,56),3
21079 PSET (58,56),2
21080 PSET (64,56),6
21081 PSET (65,56),2
21082 LINE (66,56)-(72,56),3
21083 PSET (73,56),6
21084 LINE (74,56)-(77,56),3
21085 PSET (78,56),4
21086 LINE (79,56)-(83,56),3
21087 LINE (84,56)-(85,56),4
21088 LINE (86,56)-(90,56),3
21089 PSET (91,56),2
21090 PSET (93,56),2
21091 LINE (94,56)-(97,56),3
21092 PSET (98,56),2
21093 PSET (99,56),4
21094 LINE (100,56)-(105,56),3
21095 PSET (106,56),2
21096 PSET (108,56),7
21097 PSET (110,56),2
21098 LINE (111,56)-(116,56),3
21099 PSET (118,56),2
21100 LINE (119,56)-(122,56),3
21101 PSET (123,56),4
21102 LINE (124,56)-(132,56),3
21103 PSET (155,56),1
21104 PSET (3,57),1
21105 LINE (17,57)-(18,57),6
21106 LINE (19,57)-(24,57),3
21107 PSET (25,57),2
21108 PSET (27,57),2
21109 LINE (28,57)-(31,57),3
21110 PSET (32,57),4
21111 LINE (33,57)-(42,57),3
21112 PSET (48,57),2
21113 LINE (49,57)-(58,57),3
21114 PSET (64,57),2
21115 LINE (65,57)-(71,57),3
21116 PSET (73,57),2
21117 LINE (74,57)-(77,57),3
21118 PSET (78,57),4
21119 LINE (79,57)-(83,57),3
21120 PSET (84,57),4
21121 PSET (86,57),2
21122 LINE (87,57)-(90,57),3
21123 PSET (93,57),2
21124 LINE (94,57)-(97,57),3
21125 PSET (98,57),2
21126 PSET (100,57),2
21127 LINE (101,57)-(106,57),3
21128 LINE (107,57)-(109,57),6
21129 LINE (110,57)-(115,57),3
21130 PSET (116,57),2
21131 PSET (118,57),2
21132 LINE (119,57)-(122,57),3
21133 PSET (123,57),4
21134 LINE (124,57)-(131,57),3
21135 PSET (132,57),2
21136 PSET (155,57),1
21137 PSET (3,58),1
21138 PSET (17,58),2
21139 LINE (18,58)-(24,58),3
21140 PSET (27,58),2
21141 LINE (28,58)-(31,58),3
21142 PSET (32,58),4
21143 LINE (33,58)-(42,58),3
21144 PSET (43,58),2
21145 PSET (48,58),2
21146 LINE (49,58)-(58,58),3
21147 PSET (59,58),2
21148 LINE (63,58)-(64,58),6
21149 LINE (65,58)-(70,58),3
21150 PSET (71,58),2
21151 PSET (73,58),2
21152 LINE (74,58)-(77,58),3
21153 PSET (78,58),4
21154 LINE (79,58)-(83,58),3
21155 PSET (84,58),4
21156 LINE (87,58)-(89,58),3
21157 PSET (90,58),2
21158 PSET (93,58),2
21159 LINE (94,58)-(97,58),3
21160 PSET (98,58),2
21161 PSET (100,58),2
21162 LINE (101,58)-(115,58),3
21163 PSET (116,58),2
21164 PSET (118,58),2
21165 LINE (119,58)-(122,58),3
21166 PSET (123,58),4
21167 LINE (124,58)-(131,58),3
21168 PSET (155,58),1
21169 PSET (3,59),1
21170 LINE (16,59)-(17,59),6
21171 LINE (18,59)-(23,59),3
21172 PSET (24,59),2
21173 PSET (27,59),2
21174 LINE (28,59)-(31,59),3
21175 PSET (32,59),4
21176 LINE (33,59)-(43,59),3
21177 PSET (48,59),2
21178 LINE (49,59)-(59,59),3
21179 PSET (63,59),2
21180 LINE (64,59)-(70,59),3
21181 PSET (73,59),2
21182 LINE (74,59)-(77,59),3
21183 PSET (78,59),4
21184 LINE (79,59)-(83,59),3
21185 PSET (84,59),4
21186 PSET (87,59),2
21187 LINE (88,59)-(89,59),3
21188 PSET (93,59),2
21189 LINE (94,59)-(97,59),3
21190 PSET (98,59),2
21191 LINE (101,59)-(115,59),3
21192 PSET (118,59),2
21193 LINE (119,59)-(122,59),3
21194 PSET (123,59),4
21195 LINE (124,59)-(130,59),3
21196 PSET (131,59),2
21197 PSET (155,59),1
21198 PSET (3,60),1
21199 PSET (16,60),2
21200 LINE (17,60)-(23,60),3
21201 PSET (27,60),2
21202 LINE (28,60)-(31,60),3
21203 PSET (32,60),4
21204 LINE (33,60)-(43,60),3
21205 PSET (44,60),2
21206 PSET (48,60),2
21207 LINE (49,60)-(59,60),3
21208 PSET (60,60),2
21209 LINE (62,60)-(63,60),6
21210 LINE (64,60)-(69,60),3
21211 PSET (70,60),2
21212 PSET (73,60),2
21213 LINE (74,60)-(77,60),3
21214 PSET (78,60),4
21215 LINE (79,60)-(83,60),3
21216 PSET (84,60),4
21217 PSET (88,60),3
21218 PSET (89,60),2
21219 PSET (93,60),2
21220 LINE (94,60)-(97,60),3
21221 PSET (98,60),2
21222 PSET (101,60),2
21223 LINE (102,60)-(114,60),3
21224 PSET (115,60),2
21225 PSET (118,60),2
21226 LINE (119,60)-(122,60),3
21227 PSET (123,60),4
21228 LINE (124,60)-(130,60),3
21229 PSET (155,60),1
21230 PSET (3,61),1
21231 LINE (15,61)-(16,61),6
21232 LINE (17,61)-(22,61),3
21233 PSET (23,61),2
21234 PSET (27,61),2
21235 LINE (28,61)-(31,61),3
21236 PSET (32,61),4
21237 LINE (33,61)-(37,61),3
21238 PSET (38,61),4
21239 LINE (39,61)-(44,61),3
21240 PSET (48,61),2
21241 LINE (49,61)-(53,61),3
21242 PSET (54,61),6
21243 LINE (55,61)-(60,61),3
21244 PSET (62,61),2
21245 LINE (63,61)-(69,61),3
21246 PSET (73,61),2
21247 LINE (74,61)-(77,61),3
21248 PSET (78,61),4
21249 LINE (79,61)-(83,61),3
21250 PSET (84,61),4
21251 PSET (88,61),2
21252 PSET (89,61),4
21253 PSET (93,61),2
21254 LINE (94,61)-(97,61),3
21255 PSET (98,61),2
21256 PSET (101,61),2
21257 LINE (102,61)-(114,61),3
21258 PSET (115,61),2
21259 PSET (118,61),2
21260 LINE (119,61)-(122,61),3
21261 PSET (123,61),4
21262 LINE (124,61)-(129,61),3
21263 PSET (130,61),2
21264 PSET (155,61),1
21265 PSET (3,62),1
21266 PSET (16,62),2
21267 LINE (17,62)-(22,62),3
21268 PSET (23,62),6
21269 PSET (27,62),2
21270 LINE (28,62)-(31,62),3
21271 PSET (32,62),4
21272 LINE (33,62)-(36,62),3
21273 PSET (37,62),2
21274 LINE (39,62)-(44,62),3
21275 PSET (45,62),2
21276 PSET (48,62),2
21277 LINE (49,62)-(52,62),3
21278 PSET (53,62),2
21279 LINE (55,62)-(60,62),3
21280 PSET (61,62),6
21281 LINE (63,62)-(68,62),3
21282 PSET (69,62),2
21283 PSET (73,62),2
21284 LINE (74,62)-(77,62),3
21285 PSET (78,62),4
21286 LINE (79,62)-(83,62),3
21287 PSET (84,62),4
21288 PSET (88,62),4
21289 PSET (93,62),2
21290 LINE (94,62)-(97,62),3
21291 PSET (98,62),2
21292 LINE (102,62)-(114,62),3
21293 PSET (118,62),2
21294 LINE (119,62)-(122,62),3
21295 PSET (123,62),4
21296 LINE (124,62)-(129,62),3
21297 PSET (155,62),1
21298 PSET (3,63),1
21299 LINE (17,63)-(22,63),3
21300 PSET (23,63),2
21301 PSET (27,63),2
21302 LINE (28,63)-(31,63),3
21303 PSET (32,63),4
21304 LINE (33,63)-(36,63),3
21305 PSET (39,63),2
21306 LINE (40,63)-(45,63),3
21307 PSET (48,63),2
21308 LINE (49,63)-(52,63),3
21309 PSET (55,63),2
21310 LINE (56,63)-(61,63),3
21311 PSET (63,63),6
21312 LINE (64,63)-(69,63),3
21313 PSET (73,63),2
21314 LINE (74,63)-(77,63),3
21315 PSET (78,63),4
21316 LINE (79,63)-(83,63),3
21317 PSET (84,63),4
21318 PSET (93,63),2
21319 LINE (94,63)-(97,63),3
21320 PSET (98,63),2
21321 PSET (102,63),2
21322 LINE (103,63)-(113,63),3
21323 PSET (114,63),2
21324 PSET (118,63),2
21325 LINE (119,63)-(122,63),3
21326 PSET (123,63),4
21327 LINE (124,63)-(128,63),3
21328 PSET (129,63),2
21329 PSET (155,63),1
21330 PSET (3,64),1
21331 PSET (17,64),2
21332 LINE (18,64)-(23,64),3
21333 PSET (27,64),2
21334 LINE (28,64)-(31,64),3
21335 PSET (32,64),4
21336 LINE (33,64)-(35,64),3
21337 PSET (36,64),2
21338 LINE (40,64)-(45,64),3
21339 PSET (46,64),2
21340 PSET (48,64),2
21341 LINE (49,64)-(51,64),3
21342 PSET (52,64),2
21343 LINE (56,64)-(61,64),3
21344 PSET (62,64),6
21345 LINE (64,64)-(69,64),3
21346 PSET (70,64),2
21347 PSET (73,64),2
21348 LINE (74,64)-(77,64),3
21349 PSET (78,64),4
21350 LINE (79,64)-(83,64),3
21351 PSET (84,64),4
21352 PSET (93,64),2
21353 LINE (94,64)-(97,64),3
21354 PSET (98,64),2
21355 PSET (102,64),4
21356 PSET (103,64),2
21357 LINE (104,64)-(112,64),3
21358 PSET (113,64),2
21359 PSET (114,64),4
21360 PSET (118,64),2
21361 LINE (119,64)-(122,64),3
21362 PSET (123,64),4
21363 LINE (124,64)-(128,64),3
21364 PSET (155,64),1
21365 PSET (3,65),1
21366 LINE (18,65)-(23,65),3
21367 PSET (24,65),2
21368 PSET (27,65),2
21369 LINE (28,65)-(31,65),3
21370 PSET (32,65),4
21371 LINE (33,65)-(35,65),3
21372 PSET (40,65),2
21373 LINE (41,65)-(46,65),3
21374 LINE (47,65)-(48,65),2
21375 LINE (49,65)-(51,65),3
21376 PSET (56,65),2
21377 LINE (57,65)-(62,65),3
21378 PSET (64,65),6
21379 LINE (65,65)-(70,65),3
21380 PSET (73,65),2
21381 LINE (74,65)-(77,65),3
21382 PSET (78,65),4
21383 LINE (79,65)-(83,65),3
21384 PSET (84,65),4
21385 PSET (93,65),2
21386 LINE (94,65)-(97,65),3
21387 PSET (98,65),2
21388 LINE (104,65)-(112,65),3
21389 PSET (118,65),2
21390 LINE (119,65)-(122,65),3
21391 PSET (123,65),4
21392 LINE (124,65)-(127,65),3
21393 PSET (128,65),2
21394 PSET (155,65),1
21395 PSET (3,66),1
21396 PSET (18,66),2
21397 LINE (19,66)-(24,66),3
21398 PSET (27,66),2
21399 LINE (28,66)-(31,66),3
21400 PSET (32,66),4
21401 LINE (33,66)-(34,66),3
21402 PSET (35,66),2
21403 LINE (41,66)-(46,66),3
21404 LINE (47,66)-(48,66),2
21405 LINE (49,66)-(50,66),3
21406 PSET (51,66),2
21407 LINE (57,66)-(62,66),3
21408 PSET (63,66),2
21409 LINE (65,66)-(70,66),3
21410 PSET (71,66),2
21411 PSET (73,66),2
21412 LINE (74,66)-(77,66),3
21413 PSET (78,66),4
21414 LINE (79,66)-(83,66),3
21415 PSET (84,66),4
21416 PSET (93,66),2
21417 LINE (94,66)-(97,66),3
21418 PSET (98,66),2
21419 PSET (104,66),4
21420 LINE (105,66)-(111,66),3
21421 PSET (112,66),4
21422 PSET (118,66),2
21423 LINE (119,66)-(121,66),3
21424 PSET (122,66),2
21425 LINE (124,66)-(127,66),3
21426 PSET (155,66),1
21427 PSET (3,67),1
21428 LINE (19,67)-(24,67),3
21429 PSET (25,67),2
21430 LINE (27,67)-(31,67),4
21431 PSET (32,67),6
21432 LINE (33,67)-(34,67),3
21433 PSET (41,67),2
21434 LINE (42,67)-(46,67),3
21435 LINE (47,67)-(48,67),2
21436 LINE (49,67)-(50,67),3
21437 PSET (57,67),2
21438 LINE (58,67)-(62,67),3
21439 PSET (63,67),6
21440 PSET (65,67),2
21441 LINE (66,67)-(71,67),3
21442 LINE (73,67)-(84,67),4
21443 LINE (93,67)-(98,67),4
21444 PSET (105,67),4
21445 LINE (106,67)-(109,67),3
21446 PSET (110,67),6
21447 PSET (111,67),4
21448 PSET (118,67),2
21449 LINE (119,67)-(121,67),3
21450 LINE (124,67)-(126,67),3
21451 PSET (127,67),2
21452 PSET (155,67),1
21453 PSET (3,68),1
21454 PSET (19,68),2
21455 LINE (20,68)-(24,68),3
21456 PSET (25,68),6
21457 PSET (32,68),2
21458 PSET (33,68),3
21459 PSET (34,68),2
21460 LINE (42,68)-(45,68),3
21461 PSET (46,68),2
21462 PSET (48,68),2
21463 PSET (49,68),3
21464 PSET (50,68),2
21465 LINE (58,68)-(61,68),3
21466 PSET (62,68),2
21467 LINE (66,68)-(71,68),3
21468 PSET (72,68),2
21469 LINE (106,68)-(110,68),4
21470 PSET (118,68),2
21471 LINE (119,68)-(120,68),3
21472 PSET (121,68),2
21473 LINE (124,68)-(126,68),3
21474 PSET (155,68),1
21475 PSET (3,69),1
21476 LINE (20,69)-(24,69),3
21477 PSET (25,69),2
21478 PSET (32,69),2
21479 PSET (33,69),3
21480 PSET (42,69),2
21481 LINE (43,69)-(45,69),3
21482 PSET (48,69),2
21483 PSET (49,69),3
21484 PSET (58,69),2
21485 LINE (59,69)-(61,69),3
21486 PSET (62,69),6
21487 PSET (66,69),2
21488 LINE (67,69)-(71,69),3
21489 PSET (72,69),6
21490 PSET (118,69),2
21491 LINE (119,69)-(120,69),3
21492 LINE (124,69)-(125,69),3
21493 PSET (126,69),2
21494 PSET (155,69),1
21495 PSET (3,70),1
21496 PSET (20,70),2
21497 LINE (21,70)-(24,70),3
21498 LINE (32,70)-(33,70),2
21499 LINE (43,70)-(44,70),3
21500 PSET (45,70),2
21501 LINE (48,70)-(49,70),2
21502 LINE (59,70)-(60,70),3
21503 PSET (61,70),2
21504 LINE (67,70)-(70,70),3
21505 PSET (71,70),2
21506 PSET (118,70),2
21507 PSET (119,70),3
21508 PSET (120,70),2
21509 LINE (124,70)-(125,70),3
21510 PSET (155,70),1
21511 PSET (3,71),1
21512 LINE (21,71)-(23,71),3
21513 PSET (24,71),2
21514 PSET (32,71),2
21515 PSET (43,71),2
21516 PSET (44,71),3
21517 PSET (45,71),6
21518 PSET (48,71),2
21519 PSET (59,71),2
21520 PSET (60,71),3
21521 PSET (61,71),6
21522 PSET (67,71),2
21523 LINE (68,71)-(70,71),3
21524 PSET (71,71),6
21525 LINE (95,71)-(96,71),2
21526 LINE (99,71)-(100,71),2
21527 LINE (102,71)-(103,71),2
21528 LINE (105,71)-(108,71),2
21529 LINE (110,71)-(113,71),2
21530 PSET (118,71),2
21531 PSET (119,71),3
21532 PSET (124,71),3
21533 PSET (125,71),2
21534 PSET (155,71),1
21535 PSET (3,72),1
21536 PSET (21,72),2
21537 LINE (22,72)-(23,72),3
21538 PSET (44,72),2
21539 PSET (60,72),2
21540 LINE (68,72)-(69,72),3
21541 PSET (70,72),2
21542 PSET (94,72),2
21543 PSET (96,72),2
21544 PSET (99,72),2
21545 PSET (101,72),2
21546 PSET (103,72),2
21547 PSET (105,72),2
21548 PSET (108,72),2
21549 PSET (110,72),2
21550 LINE (118,72)-(119,72),2
21551 PSET (124,72),3
21552 PSET (155,72),1
21553 PSET (3,73),1
21554 PSET (22,73),3
21555 PSET (23,73),2
21556 PSET (68,73),2
21557 PSET (69,73),3
21558 PSET (70,73),6
21559 PSET (94,73),3
21560 PSET (96,73),3
21561 PSET (99,73),3
21562 PSET (103,73),3
21563 PSET (105,73),3
21564 PSET (108,73),3
21565 LINE (110,73)-(113,73),3
21566 PSET (118,73),2
21567 PSET (124,73),2
21568 PSET (155,73),1
21569 PSET (3,74),1
21570 PSET (22,74),2
21571 PSET (69,74),2
21572 LINE (94,74)-(96,74),3
21573 PSET (99,74),3
21574 PSET (103,74),3
21575 PSET (105,74),3
21576 PSET (108,74),3
21577 PSET (110,74),3
21578 PSET (113,74),3
21579 PSET (155,74),1
21580 PSET (3,75),1
21581 PSET (96,75),2
21582 PSET (99,75),2
21583 PSET (103,75),2
21584 LINE (105,75)-(108,75),2
21585 LINE (110,75)-(113,75),2
21586 PSET (155,75),1
21587 PSET (3,76),1
21588 PSET (155,76),1
21589 PSET (3,77),1
21590 PSET (155,77),1
21591 PSET (3,78),1
21592 PSET (155,78),1
21593 PSET (3,79),1
21594 PSET (155,79),1
21595 PSET (3,80),1
21596 PSET (155,80),1
21597 PSET (3,81),1
21598 LINE (45,81)-(47,81),1
21599 LINE (49,81)-(52,81),1
21600 LINE (54,81)-(56,81),1
21601 LINE (59,81)-(61,81),1
21602 LINE (63,81)-(65,81),1
21603 LINE (70,81)-(72,81),1
21604 PSET (74,81),1
21605 PSET (76,81),1
21606 PSET (155,81),1
21607 PSET (3,82),1
21608 PSET (45,82),1
21609 LINE (49,82)-(50,82),1
21610 PSET (52,82),1
21611 LINE (54,82)-(55,82),1
21612 PSET (57,82),1
21613 LINE (59,82)-(60,82),1
21614 LINE (63,82)-(64,82),1
21615 PSET (66,82),1
21616 LINE (70,82)-(71,82),1
21617 PSET (74,82),1
21618 PSET (76,82),1
21619 PSET (155,82),1
21620 PSET (3,83),1
21621 PSET (45,83),7
21622 PSET (49,83),7
21623 PSET (52,83),7
21624 PSET (54,83),7
21625 PSET (57,83),7
21626 PSET (59,83),7
21627 PSET (63,83),7
21628 PSET (66,83),7
21629 PSET (70,83),7
21630 PSET (72,83),7
21631 LINE (74,83)-(76,83),7
21632 PSET (155,83),1
21633 PSET (3,84),1
21634 LINE (45,84)-(47,84),7
21635 LINE (49,84)-(52,84),7
21636 LINE (54,84)-(56,84),7
21637 LINE (59,84)-(61,84),7
21638 LINE (63,84)-(65,84),7
21639 LINE (70,84)-(71,84),7
21640 PSET (75,84),7
21641 PSET (155,84),1
21642 PSET (3,85),1
21643 PSET (155,85),1
21644 PSET (3,86),1
21645 PSET (155,86),1
21646 PSET (3,87),1
21647 LINE (45,87)-(47,87),3
21648 LINE (51,87)-(52,87),3
21649 LINE (55,87)-(57,87),3
21650 PSET (60,87),3
21651 LINE (65,87)-(67,87),3
21652 LINE (75,87)-(77,87),3
21653 LINE (80,87)-(81,87),3
21654 LINE (83,87)-(85,87),3
21655 LINE (87,87)-(89,87),3
21656 LINE (92,87)-(93,87),3
21657 PSET (96,87),3
21658 PSET (100,87),3
21659 LINE (103,87)-(105,87),3
21660 LINE (108,87)-(110,87),3
21661 PSET (155,87),1
21662 PSET (3,88),1
21663 PSET (45,88),3
21664 PSET (48,88),3
21665 PSET (50,88),3
21666 PSET (52,88),3
21667 PSET (54,88),3
21668 PSET (56,88),7
21669 PSET (58,88),3
21670 PSET (60,88),3
21671 PSET (64,88),3
21672 PSET (66,88),7
21673 PSET (68,88),3
21674 PSET (74,88),3
21675 PSET (79,88),3
21676 PSET (81,88),3
21677 PSET (84,88),3
21678 PSET (88,88),3
21679 PSET (91,88),3
21680 PSET (93,88),3
21681 PSET (95,88),3
21682 PSET (97,88),3
21683 PSET (100,88),3
21684 PSET (102,88),3
21685 PSET (107,88),3
21686 PSET (109,88),7
21687 PSET (111,88),3
21688 PSET (155,88),1
21689 PSET (3,89),1
21690 LINE (45,89)-(47,89),2
21691 PSET (49,89),2
21692 PSET (52,89),2
21693 PSET (54,89),2
21694 PSET (55,89),7
21695 PSET (56,89),1
21696 PSET (57,89),7
21697 PSET (58,89),2
21698 PSET (60,89),2
21699 PSET (64,89),2
21700 PSET (65,89),7
21701 PSET (66,89),1
21702 PSET (67,89),7
21703 PSET (68,89),2
21704 PSET (74,89),2
21705 PSET (78,89),2
21706 PSET (81,89),2
21707 PSET (84,89),2
21708 PSET (88,89),2
21709 PSET (90,89),2
21710 PSET (93,89),2
21711 PSET (95,89),2
21712 PSET (97,89),2
21713 PSET (100,89),2
21714 PSET (102,89),2
21715 PSET (104,89),2
21716 PSET (107,89),2
21717 PSET (108,89),7
21718 PSET (109,89),1
21719 PSET (110,89),7
21720 PSET (111,89),2
21721 PSET (155,89),1
21722 PSET (3,90),1
21723 PSET (45,90),3
21724 PSET (49,90),3
21725 PSET (52,90),3
21726 PSET (54,90),3
21727 PSET (56,90),7
21728 PSET (58,90),3
21729 PSET (60,90),3
21730 PSET (64,90),3
21731 PSET (66,90),7
21732 PSET (68,90),3
21733 PSET (74,90),3
21734 PSET (78,90),3
21735 PSET (81,90),3
21736 PSET (84,90),3
21737 PSET (88,90),3
21738 PSET (90,90),3
21739 PSET (93,90),3
21740 PSET (95,90),3
21741 PSET (98,90),3
21742 PSET (100,90),3
21743 PSET (102,90),3
21744 PSET (104,90),3
21745 PSET (107,90),3
21746 PSET (109,90),7
21747 PSET (111,90),3
21748 PSET (155,90),1
21749 PSET (3,91),1
21750 PSET (45,91),2
21751 PSET (50,91),2
21752 PSET (52,91),2
21753 PSET (54,91),2
21754 PSET (56,91),7
21755 PSET (58,91),2
21756 PSET (60,91),2
21757 PSET (64,91),2
21758 PSET (66,91),7
21759 PSET (68,91),2
21760 PSET (74,91),2
21761 PSET (79,91),2
21762 PSET (81,91),2
21763 PSET (84,91),2
21764 PSET (88,91),2
21765 PSET (91,91),2
21766 PSET (93,91),2
21767 PSET (95,91),2
21768 PSET (98,91),2
21769 PSET (100,91),2
21770 PSET (102,91),2
21771 PSET (107,91),2
21772 PSET (109,91),7
21773 PSET (111,91),2
21774 PSET (155,91),1
21775 PSET (3,92),1
21776 PSET (45,92),2
21777 PSET (52,92),2
21778 LINE (55,92)-(57,92),2
21779 LINE (61,92)-(62,92),2
21780 LINE (65,92)-(67,92),2
21781 LINE (75,92)-(77,92),2
21782 PSET (81,92),2
21783 PSET (84,92),2
21784 PSET (88,92),2
21785 PSET (93,92),2
21786 PSET (95,92),2
21787 PSET (99,92),2
21788 LINE (103,92)-(105,92),2
21789 LINE (108,92)-(110,92),2
21790 PSET (155,92),1
21791 PSET (3,93),1
21792 PSET (155,93),1
21793 PSET (3,94),1
21794 PSET (155,94),1
21795 PSET (3,95),1
21796 PSET (155,95),1
21797 PSET (3,96),1
21798 PSET (155,96),1
21799 PSET (3,97),1
21800 PSET (155,97),1
21801 PSET (3,98),1
21802 PSET (3,99),1
21803 PSET (3,100),1
21804 LINE (104,100)-(106,100),8
21805 LINE (108,100)-(110,100),8
21806 LINE (112,100)-(114,100),8
21807 LINE (116,100)-(118,100),8
21808 LINE (120,100)-(122,100),8
21809 LINE (128,100)-(130,100),8
21810 PSET (132,100),8
21811 PSET (135,100),8
21812 PSET (137,100),8
21813 PSET (139,100),8
21814 PSET (145,100),8
21815 PSET (147,100),8
21816 LINE (149,100)-(151,100),8
21817 PSET (153,100),8
21818 PSET (155,100),8
21819 PSET (3,101),1
21820 PSET (106,101),8
21821 PSET (110,101),8
21822 PSET (3,102),1
21823 LINE (104,102)-(106,102),8
21824 LINE (108,102)-(110,102),8
21825 LINE (112,102)-(113,102),8
21826 LINE (116,102)-(118,102),8
21827 LINE (120,102)-(122,102),8
21828 LINE (128,102)-(130,102),8
21829 PSET (132,102),8
21830 LINE (134,102)-(135,102),8
21831 LINE (137,102)-(139,102),8
21832 LINE (145,102)-(146,102),8
21833 LINE (149,102)-(150,102),8
21834 LINE (153,102)-(155,102),8
21835 PSET (3,103),1
21836 PSET (104,103),8
21837 LINE (108,103)-(109,103),8
21838 PSET (112,103),8
21839 PSET (118,103),8
21840 PSET (122,103),8
21841 PSET (128,103),8
21842 PSET (130,103),8
21843 PSET (132,103),8
21844 LINE (134,103)-(135,103),8
21845 PSET (138,103),8
21846 PSET (145,103),8
21847 PSET (147,103),8
21848 PSET (149,103),8
21849 PSET (154,103),8
21850 LINE (3,104)-(101,104),1
21851 PSET (104,104),8
21852 PSET (108,104),8
21853 PSET (110,104),8
21854 LINE (112,104)-(114,104),8
21855 LINE (116,104)-(118,104),8
21856 LINE (120,104)-(122,104),8
21857 PSET (128,104),8
21858 PSET (130,104),8
21859 PSET (132,104),8
21860 PSET (135,104),8
21861 PSET (138,104),8
21862 PSET (145,104),8
21863 PSET (147,104),8
21864 LINE (149,104)-(151,104),8
21865 PSET (154,104),8
'-------------------------------
23253 DELETE 20001-21865,23254         'free some mem
23254 SPLSHD=4000:DIM SPLSH%(SPLSHD)   'dim memory segment
23260 GET(0,0)-(80,13),SPLSH%(SPLSHD)  'store the img in memory
23270 FRS=1:GOTO 23323                 'no need to PUT now
'-- END SPLASH draw
23300 '------------------------- here is where we come if we already did this
23310 PUT(0,0), SPLSH%(SPLSHD)
23323 NTTM=1:PLAY"A1L1O1P":DO:PALETTE 2,(NTTM*64)-1:PLAY THM$(NTTM):NTTM=NTTM+1:IF NTTM>THMN THEN NTTM=1
23330 IF INKEY$<>"" THEN IF KOK=1 THEN EXIT 
23335 IF INKEY$="" THEN KOK=1
23340 LOOP:KOK=0:PLAY OK$
23350 FOR I=0 TO 15:PALETTE I,PLTT(I):NEXT:CONSOLE 0,24,0,0,0:SCREEN7,0,0:CLS
23360 RETURN
'--------------------------------
'         menu image
'--------------------------------
24000 'MENU IMAGE
24001 IF MNFRS=1 THEN PUT(12,5),MNIMG%(MNIMD):RETURN
24002 PSET (213,42),1
24003 PSET (212,43),1
24004 PSET (214,43),1
24005 PSET (112,44),1
24006 PSET (159,44),1
24007 PSET (179,44),1
24008 LINE (187,44)-(190,44),1
24009 PSET (211,44),1
24010 PSET (215,44),1
24011 LINE (111,45)-(112,45),1
24012 LINE (121,45)-(122,45),1
24013 LINE (158,45)-(160,45),1
24014 LINE (178,45)-(179,45),1
24015 LINE (185,45)-(186,45),1
24016 LINE (191,45)-(192,45),1
24017 PSET (210,45),1
24018 PSET (216,45),1
24019 PSET (110,46),1
24020 LINE (112,46)-(117,46),1
24021 PSET (120,46),1
24022 PSET (123,46),1
24023 LINE (129,46)-(134,46),1
24024 PSET (157,46),1
24025 PSET (159,46),1
24026 PSET (161,46),1
24027 PSET (177,46),1
24028 PSET (179,46),1
24029 LINE (183,46)-(184,46),1
24030 LINE (193,46)-(194,46),1
24031 LINE (198,46)-(210,46),1
24032 PSET (217,46),1
24033 PSET (109,47),1
24034 PSET (112,47),1
24035 PSET (117,47),1
24036 PSET (119,47),1
24037 PSET (124,47),1
24038 PSET (129,47),1
24039 PSET (134,47),1
24040 PSET (156,47),1
24041 PSET (159,47),1
24042 PSET (162,47),1
24043 PSET (176,47),1
24044 PSET (179,47),1
24045 PSET (182,47),1
24046 PSET (195,47),1
24047 PSET (198,47),1
24048 PSET (204,47),1
24049 PSET (209,47),1
24050 PSET (211,47),1
24051 PSET (218,47),1
24052 PSET (108,48),1
24053 PSET (112,48),1
24054 LINE (117,48)-(118,48),1
24055 PSET (125,48),1
24056 PSET (129,48),1
24057 PSET (134,48),1
24058 PSET (140,48),1
24059 PSET (155,48),1
24060 PSET (159,48),1
24061 PSET (163,48),1
24062 PSET (175,48),1
24063 PSET (179,48),1
24064 PSET (181,48),1
24065 PSET (196,48),1
24066 PSET (198,48),1
24067 PSET (204,48),1
24068 PSET (209,48),1
24069 PSET (212,48),1
24070 PSET (219,48),1
24071 PSET (107,49),1
24072 PSET (112,49),1
24073 PSET (117,49),1
24074 PSET (119,49),1
24075 PSET (126,49),1
24076 PSET (129,49),1
24077 PSET (134,49),1
24078 PSET (139,49),1
24079 PSET (141,49),1
24080 PSET (154,49),1
24081 PSET (159,49),1
24082 PSET (164,49),1
24083 PSET (174,49),1
24084 LINE (179,49)-(180,49),1
24085 LINE (197,49)-(198,49),1
24086 PSET (204,49),1
24087 PSET (209,49),1
24088 PSET (213,49),1
24089 PSET (220,49),1
24090 PSET (106,50),1
24091 PSET (112,50),1
24092 PSET (117,50),1
24093 PSET (120,50),1
24094 PSET (127,50),1
24095 PSET (129,50),1
24096 PSET (134,50),1
24097 PSET (138,50),1
24098 PSET (142,50),1
24099 PSET (153,50),1
24100 PSET (159,50),1
24101 PSET (165,50),1
24102 PSET (173,50),1
24103 LINE (179,50)-(180,50),1
24104 LINE (188,50)-(190,50),1
24105 LINE (197,50)-(198,50),1
24106 PSET (204,50),1
24107 PSET (209,50),1
24108 PSET (214,50),1
24109 PSET (221,50),1
24110 PSET (105,51),1
24111 PSET (112,51),1
24112 PSET (117,51),1
24113 PSET (121,51),1
24114 LINE (128,51)-(129,51),1
24115 PSET (134,51),1
24116 PSET (137,51),1
24117 PSET (143,51),1
24118 PSET (152,51),1
24119 PSET (159,51),1
24120 PSET (166,51),1
24121 PSET (172,51),1
24122 PSET (179,51),1
24123 PSET (187,51),1
24124 PSET (191,51),1
24125 PSET (198,51),1
24126 PSET (204,51),1
24127 PSET (209,51),1
24128 PSET (213,51),1
24129 PSET (220,51),1
24130 PSET (104,52),1
24131 PSET (112,52),1
24132 PSET (117,52),1
24133 PSET (120,52),1
24134 PSET (127,52),1
24135 PSET (129,52),1
24136 PSET (134,52),1
24137 PSET (136,52),1
24138 PSET (144,52),1
24139 PSET (151,52),1
24140 PSET (159,52),1
24141 PSET (167,52),1
24142 PSET (171,52),1
24143 PSET (179,52),1
24144 PSET (186,52),1
24145 PSET (192,52),1
24146 PSET (198,52),1
24147 PSET (204,52),1
24148 PSET (209,52),1
24149 PSET (212,52),1
24150 PSET (219,52),1
24151 PSET (103,53),1
24152 PSET (112,53),1
24153 PSET (117,53),1
24154 PSET (119,53),1
24155 PSET (126,53),1
24156 PSET (129,53),1
24157 LINE (134,53)-(135,53),1
24158 PSET (143,53),1
24159 PSET (150,53),1
24160 PSET (159,53),1
24161 PSET (168,53),1
24162 PSET (170,53),1
24163 PSET (179,53),1
24164 PSET (185,53),1
24165 PSET (193,53),1
24166 PSET (198,53),1
24167 PSET (204,53),1
24168 PSET (209,53),1
24169 PSET (211,53),1
24170 PSET (218,53),1
24171 PSET (102,54),1
24172 PSET (112,54),1
24173 LINE (117,54)-(118,54),1
24174 PSET (125,54),1
24175 PSET (129,54),1
24176 PSET (134,54),1
24177 PSET (142,54),1
24178 PSET (149,54),1
24179 PSET (159,54),1
24180 PSET (169,54),1
24181 PSET (179,54),1
24182 PSET (185,54),1
24183 PSET (193,54),1
24184 PSET (198,54),1
24185 PSET (204,54),1
24186 LINE (209,54)-(210,54),1
24187 PSET (217,54),1
24188 PSET (101,55),1
24189 PSET (112,55),1
24190 PSET (124,55),1
24191 PSET (129,55),1
24192 PSET (141,55),1
24193 PSET (148,55),1
24194 PSET (159,55),1
24195 PSET (179,55),1
24196 PSET (185,55),1
24197 PSET (193,55),1
24198 PSET (198,55),1
24199 PSET (204,55),1
24200 PSET (216,55),1
24201 PSET (100,56),1
24202 PSET (112,56),1
24203 PSET (123,56),1
24204 PSET (129,56),1
24205 PSET (140,56),1
24206 PSET (147,56),1
24207 PSET (159,56),1
24208 PSET (179,56),1
24209 PSET (186,56),1
24210 PSET (192,56),1
24211 PSET (198,56),1
24212 PSET (204,56),1
24213 PSET (215,56),1
24214 PSET (99,57),1
24215 PSET (107,57),1
24216 PSET (112,57),1
24217 PSET (122,57),1
24218 PSET (129,57),1
24219 PSET (139,57),1
24220 PSET (146,57),1
24221 PSET (153,57),1
24222 PSET (159,57),1
24223 PSET (165,57),1
24224 PSET (173,57),1
24225 LINE (179,57)-(180,57),1
24226 PSET (187,57),1
24227 PSET (191,57),1
24228 PSET (198,57),1
24229 PSET (204,57),1
24230 PSET (214,57),1
24231 PSET (98,58),1
24232 LINE (106,58)-(107,58),1
24233 PSET (112,58),1
24234 PSET (123,58),1
24235 PSET (129,58),1
24236 PSET (140,58),1
24237 PSET (145,58),1
24238 LINE (152,58)-(153,58),1
24239 PSET (159,58),1
24240 LINE (165,58)-(166,58),1
24241 LINE (172,58)-(173,58),1
24242 LINE (179,58)-(180,58),1
24243 LINE (188,58)-(190,58),1
24244 LINE (197,58)-(198,58),1
24245 PSET (204,58),1
24246 PSET (213,58),1
24247 PSET (97,59),1
24248 PSET (105,59),1
24249 PSET (107,59),1
24250 PSET (112,59),1
24251 PSET (124,59),1
24252 PSET (129,59),1
24253 PSET (141,59),1
24254 PSET (144,59),1
24255 PSET (151,59),1
24256 PSET (153,59),1
24257 PSET (159,59),1
24258 PSET (165,59),1
24259 PSET (167,59),1
24260 PSET (171,59),1
24261 PSET (173,59),1
24262 PSET (179,59),1
24263 PSET (181,59),1
24264 LINE (197,59)-(198,59),1
24265 PSET (204,59),1
24266 PSET (212,59),1
24267 PSET (96,60),1
24268 PSET (104,60),1
24269 PSET (107,60),1
24270 PSET (112,60),1
24271 LINE (118,60)-(119,60),1
24272 PSET (125,60),1
24273 PSET (129,60),1
24274 PSET (135,60),1
24275 LINE (142,60)-(143,60),1
24276 PSET (150,60),1
24277 PSET (153,60),1
24278 PSET (159,60),1
24279 PSET (165,60),1
24280 PSET (168,60),1
24281 PSET (170,60),1
24282 PSET (173,60),1
24283 PSET (179,60),1
24284 PSET (181,60),1
24285 PSET (196,60),1
24286 PSET (198,60),1
24287 PSET (204,60),1
24288 PSET (211,60),1
24289 PSET (97,61),1
24290 PSET (104,61),1
24291 PSET (107,61),1
24292 PSET (112,61),1
24293 PSET (117,61),1
24294 PSET (119,61),1
24295 PSET (126,61),1
24296 PSET (129,61),1
24297 PSET (134,61),1
24298 PSET (136,61),1
24299 PSET (143,61),1
24300 PSET (151,61),1
24301 PSET (153,61),1
24302 PSET (159,61),1
24303 PSET (165,61),1
24304 PSET (169,61),1
24305 PSET (173,61),1
24306 PSET (179,61),1
24307 PSET (182,61),1
24308 PSET (195,61),1
24309 PSET (198,61),1
24310 PSET (204,61),1
24311 PSET (210,61),1
24312 PSET (98,62),1
24313 PSET (105,62),1
24314 PSET (107,62),1
24315 PSET (112,62),1
24316 PSET (116,62),1
24317 PSET (120,62),1
24318 PSET (127,62),1
24319 PSET (129,62),1
24320 PSET (133,62),1
24321 PSET (137,62),1
24322 PSET (144,62),1
24323 LINE (152,62)-(153,62),1
24324 PSET (159,62),1
24325 PSET (165,62),1
24326 PSET (173,62),1
24327 PSET (179,62),1
24328 LINE (183,62)-(184,62),1
24329 PSET (194,62),1
24330 PSET (198,62),1
24331 PSET (204,62),1
24332 PSET (209,62),1
24333 PSET (99,63),1
24334 LINE (106,63)-(112,63),1
24335 PSET (115,63),1
24336 PSET (121,63),1
24337 PSET (127,63),1
24338 PSET (129,63),1
24339 PSET (132,63),1
24340 PSET (138,63),1
24341 LINE (144,63)-(145,63),1
24342 LINE (153,63)-(165,63),1
24343 LINE (173,63)-(179,63),1
24344 LINE (185,63)-(186,63),1
24345 LINE (191,63)-(193,63),1
24346 PSET (198,63),1
24347 LINE (203,63)-(204,63),1
24348 PSET (208,63),1
24349 PSET (100,64),1
24350 PSET (106,64),1
24351 PSET (112,64),1
24352 PSET (114,64),1
24353 PSET (122,64),1
24354 PSET (126,64),1
24355 PSET (129,64),1
24356 PSET (131,64),1
24357 PSET (139,64),1
24358 PSET (143,64),1
24359 PSET (146,64),1
24360 PSET (152,64),1
24361 LINE (187,64)-(190,64),1
24362 PSET (198,64),1
24363 PSET (202,64),1
24364 PSET (204,64),1
24365 PSET (207,64),1
24366 PSET (101,65),1
24367 PSET (105,65),1
24368 LINE (112,65)-(113,65),1
24369 PSET (123,65),1
24370 PSET (125,65),1
24371 LINE (129,65)-(130,65),1
24372 PSET (140,65),1
24373 PSET (142,65),1
24374 PSET (147,65),1
24375 PSET (151,65),1
24376 PSET (198,65),1
24377 PSET (201,65),1
24378 PSET (204,65),1
24379 PSET (206,65),1
24380 PSET (102,66),1
24381 PSET (104,66),1
24382 PSET (112,66),1
24383 PSET (124,66),1
24384 PSET (129,66),1
24385 PSET (141,66),1
24386 PSET (148,66),1
24387 PSET (150,66),1
24388 PSET (198,66),1
24389 PSET (200,66),1
24390 LINE (204,66)-(205,66),1
24391 PSET (103,67),1
24392 PSET (149,67),1
24393 LINE (198,67)-(199,67),1
24394 PSET (204,67),1
24395 PSET (198,68),1
24396 MNIMD=500:DIM MNIMG%(MNIMD):GET(12,5)-(34,8),MNIMG%(MNIMD):MNFRS=1
24400 RETURN

